SystemOrganization addCategory: #'MyBlog-Model'!
SystemOrganization addCategory: #'MyBlog-View'!
SystemOrganization addCategory: #'MyBlog-Tests'!

!String methodsFor: '*myblog' stamp: 'NicolasVanderAuwera 9/3/2012 07:48'!
capitalizedPhrase
	"Return a sentence where each word is capitalized."

	| write |
	write := WriteStream on: String new.
	(self subStrings: ' ')
		do: [ :word | 
			write
				nextPutAll: word capitalized;
				nextPutAll: ' ' ].
	write skip: -1.
	^ write contents! !

WAFileLibrary subclass: #MyBlogLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogLibrary commentStamp: 'NicolasVanderAuwera 9/2/2012 08:27' prior: 0!
I content all files of MyBlog.!

!MyBlogLibrary class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:50'!
initialize
	super initialize! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/28/2012 08:57'!
applicationCss
	^ '/* General */

body {
	margin: 0;
	font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
	font-size: 12px;
	line-height: 18px;
	color: #292929;
	background-color: #dddddc;
	min-width: 300px;
	background: #dddddc url(''back.png'') repeat fixed 50% 50%;
	position: relative;
}

h1, h2, h3, h4, h5, h6, .hgroup p, p.title {
	margin: 0;
	font-family: "OpenSansCondensedBold","Helvetica Neue",Helvetica,Arial,sans-serif;
	font-weight: normal !!important;
	color: inherit;
	text-transform: uppercase;
	text-rendering: optimizelegibility;
}

.batch {
	text-align: center;
}

a {
	color:#1a4e82;
	text-decoration:none;
}

a:hover {
	color:#0d2842;
	text-decoration:underline;
}


hr {
	margin: 10px 0;
	border: 0;
	border-top: 1px solid #dddddc;
	border-bottom: 1px solid #ffffff;
}

* {
	margin: 0;
}

html, body {
	height: 100%;
}

.wrapper {
	min-height: 100%;
	height: auto !!important;
	height: 100%;
	margin: 0 auto -142px; /* the bottom margin is the negative value of the footer''s height */
}

/* Subheader */

#subheader {
	background: url(/i/top-radial-halo.png) no-repeat scroll 50% 0%,url(''/i/subheader-bg.png'') 		repeat fixed 50% 50%;
	min-height: 28px;
	padding: 10px 20px 0;
	font-size: 12px;
	box-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1) inset,0px -4px 40px rgba(0, 0, 0, 0.1) inset;
	text-shadow: 0px 1px 0px 
	rgba(255, 255, 255, 0.4);
	margin-bottom: 20px;
}

.page-header {
	padding-bottom: 10px;
	margin: 18px 0;
	margin: 0 0 10px !!important;
	border-bottom: 1px solid #dddddc;
	-webkit-box-shadow: 0 1px 0px #ffffff;
	-moz-box-shadow: 0 1px 0px #ffffff;
	box-shadow: 0 1px 0px #ffffff;
	-webkit-box-shadow: 0 1px 0px #ffffff;
	-moz-box-shadow: 0 1px 0px #ffffff;
	box-shadow: 0 1px 0px #ffffff;
	border-bottom: 1px solid #dddddc;
	-webkit-box-shadow: 0 1px 0px #ffffff;
	-moz-box-shadow: 0 1px 0px #ffffff;
	box-shadow: 0 1px 0px #ffffff;
	-webkit-box-shadow: 0 1px 0px #ffffff;
	-moz-box-shadow: 0 1px 0px #ffffff;
	box-shadow: 0 1px 0px #ffffff;
}

.page-header h1, .page-header h2 {
	font-size: 20px;
	line-height: 20px;
	background-color: #f4f3f3;
	padding: 0 3px 0 6px;
	border-left: 6px solid #edaf01;
}

/* Content */

.frame {
	padding: 14px;
	-webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	-moz-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	-webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	-moz-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1),0 0 1px #ffffff inset;
	border: 1px solid #c5c5c5;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	border-radius: 2px;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	border-radius: 2px;
	background-color: #f4f3f3;
	overflow: hidden;
}

/* Post item */

.hgroup p {
	color: #edaf01;
	text-transform: uppercase;
	font-size: 13px;
	line-height: 13px;
}

.hgroup p.title {
	color: #454545;
	font-size: 18px;
	line-height: 21px;
	margin-top: 0px;
}

p.title a {
	color: #454545;
}

p.title a:hover {
	text-decoration:none;
	color:#0d2842;
}

/* Search */

.search {
	padding-top: 12px;
}

input[type=search] {
	-webkit-appearance: textfield;
	-webkit-box-sizing: content-box;
	font-family: inherit;
	font-size: 100%;
}
input::-webkit-search-decoration,
input::-webkit-search-cancel-button {
	display: none;
}

input[type=search] {
	width: 100px;
	background: #efefef url(''search.png'') no-repeat 9px center;
	font: italic 105%/110% "Times New Roman", Times, serif;
	color: #86856f;
	padding: 3px 4px 3px 28px;
	border: solid 1px #bebdaa;
	-webkit-border-radius: 13px;
	-moz-border-radius: 13px;
	border-radius: 13px;
	-webkit-transition: .7s;
	-moz-transition: .7s;
	-o-transition: .7s;
	transition: .7s;
}
input[type=search]:focus {
	color: #333;
	width: 160px;
	background-color: #fff;
	font-style: normal;
}

input {
	outline: none;
}


/* Footer */

footer, .push {
	height: 142px; /* .push must be the same height as .footer */
}

footer {
	text-align: center;
}

.copyright {
	font-size: 11px;
	line-height: 11px;
}

/* Menu */

ul.menu {
	width: 200px;
	float: right;
	text-align: right;
	margin-top: 15px;
}

ul.menu li {
	display: inline-block;
	margin-right: 10px;
}

/* Buttons */

button,input,select,textarea{margin:0;font-size:100%;vertical-align:middle;}
button,input{*overflow:visible;line-height:normal;}
button::-moz-focus-inner,input::-moz-focus-inner{padding:0;border:0;}
button,input[type="button"],input[type="reset"],input[type="submit"]{cursor:pointer;-webkit-appearance:button;}

/* Login */

p.logged img {
	float: left;
	margin-right: 5px;
	margin-bottom: 5px;
}

/* Author */

/*#content h1 {
	font: 1.66em Georgia, Times, serif;
	text-align: center;
	margin: 0.5em 0;
	padding-bottom: 0.75em;
	border-bottom: 1px dotted #B2B2B2;
}

#content h2 {
	text-align: center;
	margin-top: 1.5em;
	padding-bottom: 0.5em;
	font: 1.66em Georgia, Times, serif;
	font-size: 1.8em;
}*/

/* Inputs */

.input-block textarea {
	display: block;
	width: 100%;
	min-height: 28px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
}


/* Sidebar */

#sidebar h3 {
	font: 1.5em Georgia, Times, serif;
	letter-spacing: 0;
	text-transform: none;
	margin-bottom: 0.25em;
	color: #333;
}

/* Post */

li .byline {
	padding: 0 0 1em;
	margin: 0 0 1.25em;
	text-align: center;
	background: url(''bylineseparator.gif'') 50% 100% no-repeat;
	font: italic 1.1em Times, serif;
	letter-spacing: 1px;
}

.post {
	padding: 14px;
	-webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	-moz-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	-webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	-moz-box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1),0 0 1px #ffffff inset;
	border: 1px solid #c5c5c5;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	border-radius: 2px;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	border-radius: 2px;
	background-color: #f4f3f3;
	overflow: hidden;
}

.post h1 {
	font-size: 24px;
	padding: 0 3px 0px 6px;
	border-left: 6px solid #edaf01;
	color: #454545;
	line-height: 28px;
	margin-bottom: 15px;
}

.post .byline {
	padding: 0;
	margin: 0;
	color: #6b6b6b;
	font-size: 11px;
}

/* Comment */

.comment {
	border: 1px dotted #999;
	border-width: 1px 0;
	margin-bottom: -1px;
	padding: 15px 10px 1px;
}

.comment h4 {
	font: bold 1.15em Georgia, serif;
	margin-bottom: 0.5em;
	padding-left: 25px;
	background: url(''commentwh.gif'') 0 0.1em no-repeat;
}

.comment h4 .commentnum {
	padding-right: 0.66em;
	margin-right: 0.5em;
	border-right: 1px solid #999;
}

.posttime {
	font: italic 1em Georgia, serif;
	padding-left: 17px;
	/*background: url(/pix/leaf_wh.gif) 0 0.2em no-repeat;*/
}

/* Table */

form th {
	width: 300px;
	text-align: left;
}

.login input[type="text"], .login input[type="password"] {
	width: 195px;
}

/* Footer */

/* Messages Box */

.info, .success, .warning, .errors {
	font-size: 13px;
    border: 1px solid;
    margin: 10px 0px;
    padding:15px 10px 15px 50px;
    background-repeat: no-repeat;
    background-position: 10px center;
}
.info {
    color: #00529B;
    background-color: #BDE5F8;
    background-image: url(''info.png'');
}
.success {
    color: #4F8A10;
    background-color: #DFF2BF;
    background-image:url(''success.png'');
}
.warning {
    color: #9F6000;
    background-color: #FEEFB3;
    background-image: url(''warning.png'');
}
.errors {
    color: #D63301;
    background-color: #FFCCBA;
    background-image: url(''errors.png'');
}
'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/28/2012 07:57'!
backPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 50 0 0 0 50 8 2 0 0 0 145 93 31 230 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 8 73 73 68 65 84 120 218 92 217 89 114 27 57 16 69 81 137 166 103 59 188 255 197 117 47 194 131 60 219 253 200 67 93 85 116 125 84 128 40 32 145 227 203 76 240 252 239 191 255 252 254 253 251 254 254 254 238 238 238 254 250 108 240 231 207 159 243 249 252 247 239 223 159 63 127 62 127 254 220 130 189 125 122 245 234 213 222 47 94 188 248 250 245 235 190 110 205 198 223 191 127 63 157 78 127 175 207 203 151 47 45 222 46 147 63 126 252 24 65 212 126 253 250 181 177 79 155 127 253 250 245 246 58 119 187 54 121 121 111 15 38 156 189 61 123 251 57 42 27 252 185 62 251 185 195 28 249 236 217 179 241 241 237 219 183 13 246 105 132 238 174 207 126 158 175 207 136 108 126 139 55 185 175 86 238 231 120 50 179 103 107 176 78 30 92 110 217 222 91 118 74 32 172 76 19 36 222 216 192 121 91 58 201 48 244 240 240 48 61 237 211 126 110 217 222 132 30 133 13 118 30 70 81 216 169 148 71 134 136 239 231 214 56 119 242 111 48 238 217 228 34 234 166 40 208 241 4 37 52 22 89 147 125 29 188 83 199 220 22 143 57 42 116 210 126 250 180 149 41 114 242 208 7 149 140 62 59 238 56 99 226 109 188 141 89 230 76 111 237 241 1 81 75 211 199 214 16 151 101 39 15 158 136 65 188 29 179 159 142 100 232 237 122 243 230 205 126 110 193 230 113 185 1 227 176 41 165 48 200 136 140 230 197 156 84 151 87 109 197 72 48 28 177 8 100 30 187 209 165 255 11 161 171 158 198 7 205 209 174 112 217 97 184 103 160 45 59 82 222 12 6 28 58 178 151 55 39 192 47 79 244 129 208 190 82 143 121 193 18 93 203 242 194 29 201 83 169 109 227 121 2 229 109 35 251 70 182 176 120 113 125 168 138 252 167 120 98 136 232 82 134 112 197 217 92 7 115 219 204 136 136 250 154 51 108 158 120 240 197 241 227 82 108 253 186 62 212 79 188 241 61 134 236 178 254 178 178 160 160 67 131 164 39 247 182 113 91 95 183 69 204 211 22 223 119 24 106 28 131 98 28 182 241 142 207 55 184 23 190 249 31 82 201 115 10 217 168 116 28 204 145 57 254 6 54 64 29 184 226 36 167 22 1 211 241 222 59 0 81 111 112 186 53 239 223 191 223 167 81 70 106 172 44 8 38 192 235 235 83 208 80 182 48 58 229 194 35 237 140 48 151 112 197 252 54 164 81 146 37 31 157 221 63 62 23 60 60 157 70 135 27 108 128 2 226 25 250 251 245 41 230 80 22 242 39 238 44 44 141 177 98 80 100 193 8 46 88 106 10 154 11 183 35 10 78 37 20 127 244 238 205 176 79 40 189 25 122 1 188 208 235 156 170 71 113 230 23 11 0 154 232 36 166 24 112 138 173 113 44 207 4 22 2 106 91 184 75 65 42 111 110 158 178 229 52 48 201 130 146 172 183 227 78 112 172 48 1 96 127 31 31 159 120 49 135 131 239 50 140 128 42 141 56 149 60 102 142 121 150 235 76 37 229 55 71 131 18 51 249 207 9 131 81 217 169 84 205 130 148 97 140 63 113 234 12 110 193 63 232 105 227 242 180 232 51 46 61 243 104 72 6 125 184 16 199 229 223 23 182 138 196 77 45 46 176 40 43 51 226 6 172 190 109 104 177 8 155 238 211 2 141 51 49 238 86 142 27 152 164 242 233 235 188 13 220 36 121 41 232 227 199 143 124 233 22 79 163 75 255 0 137 105 59 56 22 241 109 77 41 98 159 118 204 20 89 169 4 114 41 76 230 166 131 50 193 38 185 224 22 80 45 159 99 217 50 196 153 115 152 202 180 212 176 165 102 182 217 26 145 85 137 226 176 74 72 138 223 22 137 21 247 56 70 164 154 192 118 172 216 168 24 9 62 111 184 149 123 78 142 125 30 191 206 174 178 3 119 34 192 241 5 105 218 181 158 255 21 209 236 2 60 119 202 232 23 46 128 183 131 184 154 153 27 112 59 137 165 143 5 234 68 151 121 184 188 119 9 113 39 201 175 129 62 181 241 27 227 88 252 244 233 19 195 241 25 200 39 250 172 49 216 94 21 246 153 182 66 57 97 50 14 80 175 154 32 61 244 31 67 95 190 124 169 184 224 167 114 23 100 6 37 149 197 144 147 168 8 154 228 251 64 31 82 220 202 64 186 225 164 21 101 219 176 213 105 145 27 113 97 2 132 23 25 110 63 241 84 137 193 43 36 162 10 204 60 12 169 92 217 2 91 46 14 195 192 80 63 79 242 141 177 194 198 242 188 66 133 50 234 136 172 100 181 22 179 151 45 80 99 106 174 142 205 80 36 44 134 158 88 87 241 64 109 132 228 56 160 192 25 97 29 62 234 106 44 22 125 5 96 150 170 4 7 126 158 96 108 15 239 60 102 139 91 145 82 99 68 243 90 26 38 23 204 169 154 63 234 11 152 128 67 48 235 54 66 56 41 197 73 170 188 232 111 25 37 177 184 36 70 139 114 46 28 184 80 182 95 98 223 96 139 200 93 165 33 116 39 22 53 56 114 84 230 94 104 149 88 161 157 214 74 220 72 12 30 92 30 3 194 118 234 175 200 214 144 222 242 218 100 173 97 100 154 255 117 78 65 11 128 133 67 12 81 210 165 60 206 128 63 196 57 34 230 56 31 35 178 79 157 82 63 47 0 1 18 133 177 205 62 203 104 156 17 187 34 145 113 21 177 21 150 60 129 184 199 202 113 88 85 155 69 61 27 51 43 238 171 47 234 116 24 250 132 65 50 85 124 230 131 212 166 84 167 103 86 96 208 250 8 192 88 46 23 86 51 37 100 175 254 20 170 118 49 104 227 252 143 53 110 70 164 0 24 113 108 152 184 39 3 97 20 4 215 115 30 189 184 116 91 143 62 121 132 36 52 201 23 171 188 181 107 42 125 240 70 59 79 205 52 37 195 73 86 171 95 69 66 93 58 138 15 15 15 93 230 212 233 211 113 150 170 242 177 165 123 145 122 56 118 172 213 30 127 162 242 86 6 82 114 181 135 84 80 223 71 151 89 167 182 199 130 42 62 17 68 66 107 220 145 84 185 227 21 92 135 174 106 2 43 5 99 61 220 73 152 148 206 62 127 254 236 140 253 220 123 133 219 81 110 210 148 55 88 176 43 167 170 237 187 199 39 221 228 76 85 114 114 162 136 174 123 208 126 94 156 68 101 87 119 170 128 44 249 48 28 164 64 139 149 85 152 132 185 17 186 170 182 18 72 112 240 1 1 75 187 221 197 1 185 138 242 34 15 178 156 132 171 82 127 78 83 131 111 115 117 142 75 0 131 146 116 249 14 114 202 16 37 40 78 73 145 4 195 162 80 16 79 83 21 238 203 108 183 230 135 7 176 218 187 119 239 0 216 81 219 96 19 81 82 218 239 141 203 26 36 192 232 60 192 182 1 163 227 175 214 141 215 227 79 128 71 243 82 216 216 80 194 151 110 187 13 124 170 249 31 251 62 228 116 247 20 137 156 218 171 66 215 155 5 120 36 225 139 152 227 237 21 238 165 59 10 58 85 202 133 218 149 191 48 189 180 152 167 115 228 106 118 106 23 203 221 188 85 81 214 129 137 12 90 233 42 16 181 138 45 97 120 113 24 46 146 63 213 218 207 181 129 144 20 203 124 6 170 157 98 2 185 238 143 161 110 117 95 245 62 10 221 228 184 183 114 139 84 231 135 230 197 229 153 131 129 166 128 26 220 205 175 44 166 85 190 44 102 133 122 209 14 95 234 207 220 6 248 217 93 119 52 5 41 134 192 250 142 0 96 190 86 21 158 234 128 51 159 176 207 58 176 205 29 201 49 241 117 185 168 61 44 120 149 212 245 254 32 102 57 91 64 168 251 196 117 37 23 189 206 11 25 225 162 203 174 107 75 251 165 91 41 146 134 204 176 233 241 127 0 50 240 129 250 207 210 101 107 62 124 248 64 19 19 128 70 249 195 177 55 17 242 183 219 138 29 51 8 173 235 173 208 171 76 72 255 69 83 23 107 194 74 170 214 90 38 128 49 112 170 70 82 12 214 18 83 36 91 217 254 20 109 93 77 117 99 225 10 46 40 111 82 73 173 110 174 44 43 141 8 34 230 152 45 164 13 101 106 68 206 135 135 111 116 213 88 104 223 114 12 147 213 18 185 116 168 85 39 74 255 225 208 19 114 1 108 221 1 73 186 192 85 251 147 167 234 20 82 84 204 117 161 130 1 113 253 84 111 149 34 74 50 53 97 93 132 214 150 8 46 168 150 183 169 153 64 6 205 213 11 213 216 121 244 20 169 131 249 164 90 181 205 69 151 41 169 250 186 234 148 134 224 109 152 78 110 65 218 229 185 26 186 86 71 178 218 164 58 123 11 142 183 243 96 146 231 224 111 230 99 129 110 114 110 13 126 128 185 194 166 18 214 96 1 130 33 21 48 205 31 75 111 24 81 123 67 85 253 125 215 31 31 232 147 153 143 2 176 130 163 126 248 242 169 27 1 166 17 149 36 11 226 20 2 110 173 145 224 82 14 150 227 220 89 64 10 135 245 223 78 78 73 25 101 198 234 247 174 42 158 116 68 250 18 139 18 165 42 177 140 84 141 191 231 237 219 183 54 215 6 50 40 175 226 166 76 95 218 233 175 141 106 36 49 123 251 83 243 241 42 10 223 27 252 39 192 0 194 48 35 129 140 66 26 30 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/9/2012 17:00'!
baseCss
	^ '/*
* Skeleton V1.2
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 6/20/2012
*/


/* Table of Content
==================================================
	#Reset & Basics
	#Basic Styles
	#Site Styles
	#Typography
	#Links
	#Lists
	#Images
	#Buttons
	#Forms
	#Misc */


/* #Reset & Basics (Inspired by E. Meyers)
================================================== */
	html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
		margin: 0;
		padding: 0;
		border: 0;
		font-size: 100%;
		font: inherit;
		vertical-align: baseline; }
	article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
		display: block; }
	body {
		line-height: 1; }
	ol, ul {
		list-style: none; }
	blockquote, q {
		quotes: none; }
	blockquote:before, blockquote:after,
	q:before, q:after {
		content: '''';
		content: none; }
	table {
		border-collapse: collapse;
		border-spacing: 0; }


/* #Basic Styles
================================================== */
	body {
		background: #fff;
		font: 14px/21px "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
		color: #444;
		-webkit-font-smoothing: antialiased; /* Fix for webkit rendering */
		-webkit-text-size-adjust: 100%;
 }


/* #Typography
================================================== */
	h1, h2, h3, h4, h5, h6 {
		color: #181818;
		font-family: "Georgia", "Times New Roman", serif;
		font-weight: normal; }
	h1 a, h2 a, h3 a, h4 a, h5 a, h6 a { font-weight: inherit; }
	h1 { font-size: 46px; line-height: 50px; margin-bottom: 14px;}
	h2 { font-size: 35px; line-height: 40px; margin-bottom: 10px; }
	h3 { font-size: 28px; line-height: 34px; margin-bottom: 8px; }
	h4 { font-size: 21px; line-height: 30px; margin-bottom: 4px; }
	h5 { font-size: 17px; line-height: 24px; }
	h6 { font-size: 14px; line-height: 21px; }
	.subheader { color: #777; }

	p { margin: 0 0 20px 0; }
	p img { margin: 0; }
	p.lead { font-size: 21px; line-height: 27px; color: #777;  }

	em { font-style: italic; }
	strong { font-weight: bold; color: #333; }
	small { font-size: 80%; }

/*	Blockquotes  */
	blockquote, blockquote p { font-size: 17px; line-height: 24px; color: #777; font-style: italic; }
	blockquote { margin: 0 0 20px; padding: 9px 20px 0 19px; border-left: 1px solid #ddd; }
	blockquote cite { display: block; font-size: 12px; color: #555; }
	blockquote cite:before { content: "\2014 \0020"; }
	blockquote cite a, blockquote cite a:visited, blockquote cite a:visited { color: #555; }

	hr { border: solid #ddd; border-width: 1px 0 0; clear: both; margin: 10px 0 30px; height: 0; }


/* #Links
================================================== */
	a, a:visited { color: #333; text-decoration: underline; outline: 0; }
	a:hover, a:focus { color: #000; }
	p a, p a:visited { line-height: inherit; }


/* #Lists
================================================== */
	ul, ol { margin-bottom: 20px; }
	ul { list-style: none outside; }
	ol { list-style: decimal; }
	ol, ul.square, ul.circle, ul.disc { margin-left: 30px; }
	ul.square { list-style: square outside; }
	ul.circle { list-style: circle outside; }
	ul.disc { list-style: disc outside; }
	ul ul, ul ol,
	ol ol, ol ul { margin: 4px 0 5px 30px; font-size: 90%;  }
	ul ul li, ul ol li,
	ol ol li, ol ul li { margin-bottom: 6px; }
	li { line-height: 18px; margin-bottom: 12px; }
	ul.large li { line-height: 21px; }
	li p { line-height: 21px; }

/* #Images
================================================== */

	img.scale-with-grid {
		max-width: 100%;
		height: auto; }


/* #Forms
================================================== */

	form {
		margin-bottom: 20px; }
	fieldset {
		margin-bottom: 20px; }
	input[type="text"],
	input[type="password"],
	input[type="email"],
	textarea,
	select {
		border: 1px solid #ccc;
		padding: 6px 4px;
		outline: none;
		-moz-border-radius: 2px;
		-webkit-border-radius: 2px;
		border-radius: 2px;
		font: 13px "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
		color: #777;
		margin: 0;
		width: 210px;
		max-width: 100%;
		display: block;
		margin-bottom: 20px;
		background: #fff; }
	select {
		padding: 0; }
	input[type="text"]:focus,
	input[type="password"]:focus,
	input[type="email"]:focus,
	textarea:focus {
		border: 1px solid #aaa;
 		color: #444;
 		-moz-box-shadow: 0 0 3px rgba(0,0,0,.2);
		-webkit-box-shadow: 0 0 3px rgba(0,0,0,.2);
		box-shadow:  0 0 3px rgba(0,0,0,.2); }
	textarea {
		min-height: 60px; }
	label,
	legend {
		display: block;
		font-weight: bold;
		font-size: 13px;  }
	select {
		width: 220px; }
	input[type="checkbox"] {
		display: inline; }
	label span,
	legend span {
		font-weight: normal;
		font-size: 13px;
		color: #444; }

/* #Misc
================================================== */
	.remove-bottom { margin-bottom: 0 !!important; }
	.half-bottom { margin-bottom: 10px !!important; }
	.add-bottom { margin-bottom: 20px !!important; }


'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 17:33'!
bylineseparatorGif
	^ #(71 73 70 56 57 97 120 0 1 0 128 0 0 133 133 133 255 255 255 33 249 4 1 0 0 1 0 44 0 0 0 0 120 0 1 0 0 2 9 132 143 169 203 237 15 163 156 5 0 59) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 15:08'!
commentwhGif
	^ #(71 73 70 56 57 97 16 0 12 0 213 44 0 219 213 183 254 254 253 251 251 248 239 237 224 228 223 200 238 235 221 219 213 184 225 220 195 222 216 188 221 215 186 227 222 199 227 223 199 235 232 215 232 228 209 224 219 194 238 236 222 249 248 244 251 250 247 244 243 234 230 226 206 248 247 242 222 217 190 225 219 194 236 232 216 247 246 239 254 253 252 232 228 208 221 215 187 247 245 239 240 238 226 242 240 230 220 214 185 241 239 228 240 237 225 239 236 223 254 254 252 242 240 229 252 252 249 244 242 233 235 231 214 220 214 184 241 238 226 223 218 192 231 227 208 255 255 255 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 1 0 0 44 0 44 0 0 0 0 16 0 12 0 0 6 78 64 150 176 148 154 56 16 136 138 226 196 17 58 73 42 128 116 42 69 173 4 194 1 117 59 61 8 40 31 174 88 195 16 139 19 13 51 215 0 82 111 45 129 133 123 234 97 69 8 238 205 192 57 18 29 12 98 4 78 78 25 24 29 5 5 15 38 23 82 18 131 143 131 16 33 0 1 65 0 59) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
errorsPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 6 31 73 68 65 84 120 218 196 151 93 108 28 213 21 199 127 247 206 236 135 103 237 117 190 140 168 147 244 197 65 34 133 16 23 148 152 160 40 8 218 180 249 128 32 132 240 130 132 202 179 11 40 17 121 65 66 66 21 18 106 95 130 18 169 109 196 43 37 42 40 82 30 34 53 182 2 81 44 55 56 88 4 105 75 234 196 53 217 53 254 54 201 38 172 103 237 245 206 236 204 189 125 152 93 123 189 187 54 230 41 71 58 218 59 103 118 206 249 159 115 207 57 247 92 161 181 230 126 146 228 62 147 9 240 102 75 203 90 255 191 7 56 2 236 0 30 4 26 128 5 96 6 184 14 156 7 174 174 69 209 95 239 220 89 2 240 19 20 6 222 1 186 118 180 183 63 248 235 61 123 104 217 188 25 171 169 9 195 52 241 93 151 188 109 243 195 196 196 225 228 192 192 59 255 253 246 219 25 224 52 240 23 192 253 41 229 66 107 189 90 4 222 14 133 66 39 126 247 194 11 236 61 116 136 72 44 6 229 156 209 186 46 47 228 114 252 187 187 155 47 122 122 240 60 239 56 240 225 106 17 88 13 192 201 71 31 123 236 104 162 171 139 216 186 117 160 53 122 126 30 157 205 162 23 22 208 174 11 158 87 218 72 19 17 137 32 154 155 17 150 5 90 99 223 187 199 217 143 63 230 198 224 224 41 224 216 207 5 240 247 253 135 15 119 253 254 149 87 144 128 202 100 80 211 211 224 186 160 20 90 169 192 99 165 150 184 252 108 24 200 214 86 100 75 11 74 41 254 117 238 28 189 189 189 167 129 63 174 53 7 78 254 246 224 193 174 131 137 4 58 151 195 27 25 65 47 44 44 55 82 226 186 64 148 194 191 121 19 63 157 198 220 182 141 231 142 28 65 121 94 87 223 149 43 110 189 72 84 3 120 251 87 143 60 114 244 192 75 47 161 102 102 240 71 70 192 247 23 141 235 138 245 50 207 125 127 57 24 223 135 124 158 226 215 95 99 60 244 16 135 15 29 98 122 106 234 232 119 233 244 88 117 78 84 246 129 176 105 154 39 58 95 127 29 110 223 198 31 26 130 66 33 96 199 89 250 45 175 43 229 245 214 142 3 249 60 126 50 137 152 152 32 241 226 139 152 134 113 162 84 85 117 1 188 251 155 253 251 105 212 58 48 238 56 232 66 97 25 83 40 208 61 60 28 60 87 190 119 93 186 83 41 40 203 203 239 92 23 237 56 120 201 36 241 98 145 189 187 119 3 188 91 15 128 97 72 249 222 190 167 159 198 191 113 35 200 242 10 111 202 134 46 164 82 188 124 241 34 221 233 244 162 183 218 113 184 48 50 66 103 95 31 23 198 198 150 188 119 221 101 64 189 107 215 120 166 163 3 41 196 123 128 81 13 224 192 206 157 59 9 103 50 168 108 118 201 179 146 55 56 14 221 233 52 157 151 46 1 208 217 219 203 133 209 209 192 243 209 81 18 95 126 9 64 226 234 85 186 39 38 22 61 199 117 23 89 103 179 68 38 39 217 222 214 6 112 160 26 192 179 219 218 218 240 135 135 17 101 15 170 246 189 179 175 111 89 182 38 250 251 233 30 31 39 49 48 176 92 254 205 55 136 178 225 98 49 224 210 179 26 28 164 109 235 86 128 103 171 1 60 241 139 198 70 116 62 95 139 220 113 208 174 139 253 252 243 53 245 154 184 118 173 70 150 221 181 11 149 203 5 77 107 126 62 208 89 138 166 154 155 163 53 26 5 120 162 186 12 55 55 122 30 162 98 191 241 125 240 60 116 177 24 148 151 231 49 219 222 78 115 50 185 98 95 159 109 111 71 172 214 247 13 131 230 98 17 96 115 117 4 194 42 149 66 79 78 162 102 102 208 63 254 136 182 109 116 62 31 132 176 220 114 133 224 179 96 15 107 232 179 182 54 16 98 101 150 18 97 154 200 185 57 42 75 177 12 192 85 142 131 8 133 16 134 1 82 214 85 210 99 219 36 82 169 186 0 18 169 20 61 182 189 178 113 195 64 132 66 40 215 165 242 148 44 3 152 180 125 31 25 10 33 77 19 33 37 66 136 101 188 154 241 106 16 213 223 10 41 145 166 137 12 133 176 125 31 96 178 26 64 114 218 117 17 209 40 34 28 94 138 66 5 39 110 221 170 49 104 239 218 85 11 226 214 173 154 111 133 97 4 122 163 81 166 131 8 36 171 1 124 62 108 219 24 209 40 50 26 173 27 133 92 208 197 22 41 183 123 247 170 242 26 239 163 81 100 36 194 176 109 3 124 94 13 160 103 104 106 138 121 33 144 150 21 68 194 52 107 114 33 215 209 17 24 233 232 88 147 188 156 120 34 26 69 90 22 121 41 25 154 154 2 232 169 6 224 43 173 223 191 56 54 134 180 44 140 88 44 24 48 12 163 38 161 114 79 62 89 55 209 234 201 133 97 32 34 17 140 88 12 105 89 124 49 62 142 210 250 125 192 175 119 24 125 208 63 62 206 61 165 144 241 56 70 83 211 138 32 214 194 139 198 155 154 144 241 56 247 148 226 202 216 24 192 7 43 157 134 174 175 212 241 51 201 36 88 22 230 250 245 152 205 205 200 134 134 21 43 163 46 151 247 188 161 1 179 185 25 115 253 122 176 44 206 36 147 248 74 29 175 30 84 171 239 5 31 166 51 153 83 159 38 147 24 241 56 230 198 141 152 27 54 32 99 49 68 40 20 228 196 170 183 12 137 8 133 144 177 88 224 192 198 141 24 241 56 159 38 147 164 51 153 83 245 6 212 122 35 217 177 129 116 58 44 164 236 122 245 169 167 48 27 26 144 177 24 126 46 135 202 231 131 147 174 60 25 85 26 46 149 154 180 172 32 236 141 141 232 112 152 51 253 253 12 164 211 167 235 141 99 43 222 11 254 150 201 188 229 105 205 15 182 221 245 135 125 251 104 121 224 1 140 117 235 80 249 60 170 52 104 224 121 104 173 17 66 4 83 113 56 28 148 154 101 33 194 97 238 216 54 159 92 190 204 255 102 102 78 127 116 247 238 91 111 108 218 196 154 1 0 242 163 187 119 255 244 178 239 59 99 231 206 29 219 251 240 195 28 124 252 113 26 55 108 88 156 36 180 239 7 135 84 41 225 202 52 87 40 208 253 213 87 92 25 26 98 218 117 79 158 205 102 255 92 218 106 255 231 0 0 224 108 54 251 207 168 16 87 191 119 156 215 46 13 14 62 179 189 181 181 113 251 150 45 252 114 211 38 172 72 132 176 105 226 122 30 121 199 97 44 147 225 230 196 4 55 167 166 230 166 61 239 242 69 219 254 164 160 245 247 107 186 27 214 33 5 56 64 182 160 245 237 243 179 179 255 0 206 239 204 231 119 108 29 29 221 209 108 24 91 66 66 88 18 66 10 138 69 173 243 179 190 63 49 94 44 94 255 207 194 194 117 96 22 184 3 100 75 122 212 170 87 179 251 73 255 31 0 128 100 133 159 163 235 68 239 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/28/2012 08:07'!
haloPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 3 172 0 0 0 170 8 6 0 0 0 169 138 194 196 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 26 107 73 68 65 84 120 218 236 221 203 86 228 56 22 64 209 138 94 253 255 191 236 158 247 164 136 176 238 83 251 140 10 176 21 20 144 164 119 202 150 62 207 243 252 163 107 250 4 190 125 234 216 183 199 157 26 235 19 240 186 191 254 119 151 49 38 124 173 78 252 220 100 124 44 226 237 147 199 124 251 254 207 23 191 119 254 250 177 191 124 252 219 227 78 157 87 217 19 124 222 243 226 227 223 126 236 249 114 156 231 135 49 127 57 230 228 219 209 31 59 121 78 214 127 119 31 123 218 215 234 228 235 158 56 238 228 177 191 188 173 141 128 1 214 171 193 218 5 173 167 113 27 1 153 191 140 51 9 176 83 192 185 1 174 209 144 253 245 152 183 239 251 229 253 39 16 251 43 52 39 226 52 18 177 207 203 99 126 133 237 55 239 63 249 190 104 184 102 35 118 34 84 187 130 178 226 243 62 245 185 100 97 245 215 49 162 177 10 172 192 42 104 77 189 80 175 152 117 221 130 191 91 94 179 234 251 31 5 215 111 199 234 130 215 95 193 249 118 54 245 243 242 247 220 169 223 151 29 241 249 118 156 39 232 227 207 161 115 50 145 26 121 129 29 141 131 137 184 245 154 117 223 191 104 200 70 227 21 86 129 85 151 161 245 45 98 161 181 47 236 110 152 61 189 113 86 245 87 112 190 69 233 73 192 254 21 132 81 51 174 85 32 173 2 237 147 112 76 36 80 79 34 245 52 68 163 46 218 205 182 206 189 173 55 250 117 110 195 234 95 143 17 176 234 50 180 86 61 239 186 17 173 19 144 185 25 161 147 102 85 51 241 250 246 125 191 2 246 4 98 127 193 166 91 130 191 63 126 211 45 193 209 72 173 134 106 53 128 204 142 230 253 247 116 172 70 188 45 96 21 180 66 235 229 152 221 14 218 45 112 237 14 213 204 91 130 79 2 53 19 186 79 209 56 79 224 199 193 213 34 76 32 12 171 176 42 96 213 209 11 177 155 87 18 222 132 183 219 17 218 121 86 53 98 81 165 174 80 61 129 208 232 149 130 179 81 90 129 217 231 224 113 25 51 171 29 144 122 18 162 217 80 173 70 17 136 222 131 213 108 188 2 43 176 10 90 91 163 53 107 37 225 109 216 139 196 239 100 208 118 128 235 137 183 51 240 122 26 170 149 91 217 108 188 45 248 9 60 167 122 102 53 26 169 25 23 216 102 91 191 255 60 204 248 230 98 245 215 49 96 85 192 42 104 77 70 43 156 206 71 104 167 89 213 206 123 172 118 132 234 132 231 86 35 177 251 20 142 21 253 60 107 53 92 111 223 242 166 26 74 254 187 30 174 176 42 96 213 90 180 78 223 254 6 90 123 96 179 122 31 221 106 184 254 219 185 81 152 125 115 94 22 96 79 124 252 36 40 59 207 190 62 137 231 103 111 113 19 1 215 172 103 89 79 94 180 87 65 53 10 83 208 59 27 171 149 120 253 235 49 2 86 65 43 180 54 66 223 141 208 173 66 108 22 92 79 193 244 36 94 191 69 237 175 80 117 75 112 61 102 59 222 18 252 13 52 35 145 122 226 130 187 235 109 193 21 96 186 253 86 92 88 133 85 1 171 10 208 250 237 197 112 245 74 194 157 176 8 161 119 62 171 58 117 145 165 204 219 126 35 144 26 129 211 136 49 159 226 49 171 110 9 254 22 181 22 97 138 65 108 198 108 43 220 222 129 213 111 207 253 245 207 161 128 85 10 185 120 190 29 173 16 186 7 167 55 44 178 52 117 43 27 171 4 231 0 118 211 22 55 183 45 194 212 21 158 224 186 31 171 167 254 145 72 192 42 29 69 107 183 61 91 43 96 182 29 149 19 111 249 205 248 185 3 213 247 179 169 39 183 187 153 136 211 104 196 62 9 199 128 107 60 84 79 163 103 35 60 39 191 246 84 172 158 120 27 86 5 172 130 214 96 100 1 105 191 175 245 20 184 118 193 107 38 96 191 65 100 245 45 193 167 199 141 250 11 56 251 150 224 12 160 118 64 234 4 168 86 97 8 104 235 191 214 176 42 96 21 180 94 134 214 78 136 156 140 80 91 213 212 99 182 43 84 79 207 162 90 37 56 15 176 83 183 184 169 64 233 73 124 70 128 164 43 72 55 34 54 242 28 88 21 176 10 90 27 33 182 35 90 167 225 180 235 107 128 235 217 115 170 160 154 133 84 183 4 199 222 18 28 137 215 9 112 205 134 236 214 45 112 38 3 179 26 227 219 177 250 215 99 36 96 213 8 180 122 222 117 223 184 93 113 90 9 215 200 99 190 5 102 246 108 106 212 51 171 145 56 125 51 118 228 95 188 81 219 220 68 220 18 124 2 163 39 145 90 1 215 233 91 224 116 197 102 215 113 79 159 19 5 82 88 21 176 10 90 23 161 181 19 40 167 143 85 137 216 104 140 86 206 178 70 161 54 26 177 223 162 208 45 193 103 206 175 184 37 56 2 163 39 193 153 113 1 63 225 121 214 10 44 110 29 11 86 97 85 192 42 104 93 255 188 235 116 220 86 226 180 51 92 35 143 57 9 213 202 153 214 55 192 220 116 59 240 155 11 189 172 109 110 42 86 10 126 115 129 60 105 245 224 8 200 76 188 77 120 226 249 176 10 171 2 86 65 107 59 208 110 130 234 38 156 78 123 110 53 11 175 167 1 123 10 170 159 151 191 171 162 126 7 102 99 51 98 220 232 91 130 79 1 53 3 169 29 224 122 227 109 194 224 10 171 18 176 42 244 98 45 27 177 25 199 222 58 11 155 245 154 157 112 90 125 251 111 197 254 170 83 182 178 137 94 128 41 26 183 149 8 253 245 252 170 231 89 187 237 205 154 113 1 95 177 37 206 77 207 186 118 126 205 136 49 58 97 245 205 63 24 73 192 42 104 253 167 255 106 194 221 208 56 249 217 84 219 214 156 199 235 175 231 156 66 236 27 100 186 37 248 251 115 178 103 86 187 35 181 51 84 167 225 52 11 148 221 94 39 2 181 176 42 96 149 22 160 53 2 64 29 110 29 142 28 187 195 255 195 13 112 157 2 213 234 231 86 171 111 9 142 196 238 83 60 222 169 217 215 110 207 179 110 130 235 230 217 215 206 231 156 30 59 122 12 88 21 176 74 13 209 26 5 147 141 179 176 147 198 238 128 209 138 149 126 221 14 252 27 16 63 65 191 207 186 244 36 143 225 182 224 220 11 248 110 179 106 83 159 111 237 48 118 54 72 39 62 163 10 30 2 86 141 64 235 148 219 133 39 131 118 18 170 171 63 214 241 237 106 168 118 223 198 230 115 240 247 213 244 158 224 243 58 109 115 227 121 214 58 252 76 186 133 184 59 92 55 96 245 212 57 18 176 10 90 11 129 107 134 54 111 140 201 112 173 194 235 137 99 51 145 218 233 121 213 141 171 4 159 128 105 20 94 59 193 181 59 100 187 238 229 186 5 154 149 95 51 88 21 176 74 208 26 2 176 201 80 237 130 216 10 212 110 134 106 135 219 129 35 144 106 149 224 179 231 87 226 213 243 172 117 120 49 251 154 7 215 40 200 194 170 128 85 26 136 214 40 212 76 91 208 169 11 64 183 61 167 250 73 250 51 48 29 170 29 128 186 241 118 224 55 23 131 153 128 189 245 121 214 41 80 173 196 233 52 104 218 71 21 86 5 172 130 214 81 104 253 21 102 211 160 154 13 208 14 112 253 118 172 168 159 243 14 120 141 0 108 52 80 35 112 58 105 149 224 95 198 204 218 234 198 54 55 223 195 99 18 84 55 1 247 215 49 34 206 131 85 1 171 4 173 102 94 7 35 246 228 247 54 227 237 41 80 237 190 240 210 41 72 78 154 121 125 146 207 239 180 224 210 70 184 222 122 219 240 38 252 102 124 12 86 5 22 192 170 36 180 78 223 2 167 2 87 155 102 67 55 222 238 235 185 213 191 163 175 106 47 214 169 48 205 132 108 198 30 172 25 64 5 215 88 168 78 132 223 148 69 146 166 99 245 175 199 72 192 42 104 29 140 216 109 51 158 102 88 251 66 53 235 118 224 83 72 237 112 43 112 22 118 187 172 24 28 189 7 235 47 16 237 134 212 155 225 58 241 99 83 62 231 106 156 194 170 128 85 208 10 173 165 207 181 222 136 209 142 48 253 21 150 111 183 166 233 178 184 82 167 213 129 39 207 184 62 73 231 70 227 181 203 109 193 191 94 152 71 33 224 150 133 153 54 128 23 86 97 85 192 42 104 45 67 107 7 84 129 106 253 63 64 100 66 53 107 95 213 204 197 149 78 2 245 115 232 247 207 230 158 224 243 58 173 22 28 129 212 200 11 247 206 43 8 131 107 60 64 59 227 20 86 5 172 210 34 180 66 108 237 115 188 213 80 205 26 35 19 175 17 128 61 241 241 95 176 249 9 252 125 53 9 159 111 199 170 126 166 53 242 182 224 183 200 205 64 232 20 184 66 237 14 156 194 170 128 85 10 186 80 239 252 118 53 76 183 98 52 19 174 85 184 205 196 107 54 96 79 34 246 4 42 55 204 186 62 137 231 62 7 198 139 6 106 22 82 171 16 218 5 170 91 80 219 29 178 93 241 10 171 2 86 65 235 18 180 78 194 103 183 215 56 9 213 111 199 138 248 57 248 245 117 162 160 234 118 224 253 185 45 184 207 236 106 22 34 162 80 52 233 54 226 73 175 1 171 18 176 10 90 143 141 177 249 246 225 201 227 116 124 59 242 152 40 188 70 32 245 4 98 127 129 230 182 219 129 35 46 6 159 160 227 159 23 99 108 156 93 61 117 204 109 43 12 79 30 167 203 63 26 192 170 128 85 10 70 107 4 56 171 225 9 177 189 190 222 157 225 58 25 170 217 183 3 219 139 245 220 69 227 201 103 91 111 191 45 248 118 168 194 105 237 215 251 212 207 219 27 208 74 192 42 104 109 132 214 46 64 155 12 222 233 80 61 117 78 103 188 70 125 236 91 60 126 14 253 110 137 254 221 149 9 205 168 241 59 223 22 60 5 169 89 176 0 215 89 56 237 184 120 18 172 10 88 165 98 180 118 71 143 99 103 66 181 243 140 106 245 237 192 147 87 6 158 48 243 250 20 140 147 177 98 240 214 217 213 13 80 237 8 215 109 144 237 130 87 88 21 176 74 208 122 5 32 65 53 238 103 251 91 96 78 66 106 6 80 111 88 124 233 73 56 239 57 112 76 183 217 213 104 128 130 107 255 25 205 219 86 250 133 85 1 171 84 140 214 137 248 217 124 123 241 116 152 222 186 184 82 7 164 118 185 21 56 19 187 79 147 49 159 164 99 170 102 87 223 96 51 27 5 32 59 3 189 83 241 10 171 2 86 41 0 173 167 192 48 121 177 166 137 216 4 213 124 168 102 46 172 52 245 118 224 137 51 175 79 242 24 25 183 5 255 2 206 19 24 5 215 217 112 173 130 108 246 216 89 99 192 170 128 85 26 128 214 106 24 77 156 153 221 6 211 27 23 87 170 68 106 52 80 237 195 90 3 216 108 188 90 140 9 100 167 174 228 219 125 49 37 72 16 176 74 208 122 37 106 183 194 245 244 207 238 9 168 90 25 120 54 114 159 194 113 54 173 24 28 113 172 197 152 230 67 182 27 70 97 85 2 86 65 235 88 164 222 2 211 142 223 151 14 152 61 9 82 43 3 239 154 117 125 18 207 191 109 197 224 14 40 237 136 164 27 33 59 21 175 176 42 96 149 26 163 53 10 38 147 247 119 221 58 246 118 168 222 190 50 176 85 129 243 49 155 53 179 90 141 215 219 159 105 237 140 205 173 99 159 250 62 156 58 7 86 5 172 210 0 180 78 64 106 119 44 118 186 77 184 19 92 187 226 53 2 176 167 16 251 11 52 63 193 191 107 166 227 243 196 88 213 139 46 253 2 212 110 72 189 9 170 157 64 184 113 214 52 122 22 21 10 4 172 210 80 180 78 67 234 116 120 118 128 235 73 168 78 157 77 221 176 232 210 4 140 118 64 237 244 69 151 126 57 231 182 125 90 39 2 238 166 91 124 59 220 242 11 4 2 86 169 17 90 171 16 52 121 235 156 91 224 154 141 217 10 188 70 33 117 203 162 75 85 224 125 154 141 221 97 209 165 12 188 110 191 53 248 70 236 77 219 114 166 195 45 191 48 32 96 149 134 162 181 11 108 189 61 7 174 213 120 61 249 254 19 72 237 122 43 240 134 25 215 39 249 252 234 69 151 126 193 235 150 237 110 64 117 199 219 81 231 192 170 128 85 90 4 215 201 183 12 255 255 251 32 179 255 236 169 91 129 207 128 209 194 75 121 152 117 107 112 12 104 45 208 52 107 214 181 11 94 43 64 43 1 171 52 4 173 85 192 186 1 162 93 103 75 43 80 218 109 54 245 87 192 158 66 236 175 200 220 190 240 210 83 60 86 214 162 75 149 64 141 64 106 54 102 205 202 246 129 102 229 45 191 176 42 96 149 150 160 245 20 114 166 162 20 92 251 161 116 219 173 192 39 143 57 133 201 205 51 174 221 246 99 237 246 92 235 77 183 6 223 10 213 169 159 67 228 49 176 42 96 149 22 162 181 51 82 111 69 102 247 231 83 55 237 177 218 233 86 224 174 183 1 71 140 31 253 151 240 244 253 88 127 1 103 36 82 43 80 58 9 170 240 155 143 87 88 21 176 74 208 186 122 246 117 11 100 171 143 233 140 215 42 192 70 2 245 19 244 123 99 74 79 193 24 29 0 251 235 172 236 132 85 131 35 65 179 117 155 156 41 175 9 171 18 176 74 101 168 184 121 246 181 235 107 100 163 180 243 108 234 105 192 102 35 246 45 44 45 186 212 3 177 81 171 6 87 61 215 122 219 130 76 224 217 3 175 176 42 96 149 22 163 181 3 88 166 204 190 118 29 51 19 174 167 81 186 253 86 224 211 51 168 29 246 95 237 4 221 167 193 120 79 226 113 55 223 26 92 141 217 41 179 176 93 49 155 141 213 231 208 159 15 9 88 165 97 104 221 128 212 205 144 173 134 235 52 188 158 62 231 212 199 127 133 225 237 183 1 71 162 182 227 158 172 167 33 58 5 169 19 161 58 5 166 91 241 10 171 2 86 105 17 92 179 209 218 25 165 183 65 182 226 123 29 13 210 172 91 132 79 33 53 122 69 224 79 147 223 51 25 192 204 120 205 41 123 178 254 114 177 190 125 65 166 219 96 218 25 179 85 88 117 113 47 96 149 160 53 28 83 183 195 182 250 152 202 247 117 64 106 247 21 129 45 186 212 27 177 29 159 109 221 182 229 77 36 168 54 221 82 156 9 81 207 171 74 192 42 141 65 107 119 200 78 194 112 54 74 43 103 83 167 35 53 2 168 159 195 127 246 111 233 73 58 183 243 173 193 93 144 90 129 210 238 152 157 4 226 105 48 117 81 47 96 149 22 161 181 2 164 149 72 157 126 78 54 92 179 222 119 10 175 29 1 155 129 211 79 226 239 139 105 240 60 57 102 167 219 131 61 215 58 23 170 211 207 201 254 7 132 19 63 135 18 176 74 208 218 10 178 211 241 187 17 174 81 231 71 65 116 235 130 75 55 204 182 62 201 231 79 157 93 253 229 130 191 211 12 235 4 168 78 67 230 134 103 83 93 204 11 88 165 229 112 237 122 139 112 119 24 86 142 91 129 210 238 183 252 118 221 119 245 91 48 118 221 119 53 114 252 232 191 136 51 246 101 205 0 236 198 231 90 43 144 115 234 188 238 128 140 122 237 42 152 186 5 88 192 42 65 235 159 142 125 115 92 183 231 51 55 96 183 2 174 39 64 186 121 69 224 72 156 126 2 127 7 76 235 41 26 231 36 98 173 28 60 19 170 55 163 243 228 216 111 142 131 85 1 171 4 173 97 136 153 0 217 238 216 237 142 217 105 72 181 216 210 222 44 190 116 31 94 111 126 254 181 43 76 179 110 41 151 128 85 186 4 173 89 168 153 136 212 77 112 221 142 215 14 72 237 190 173 205 52 228 62 13 198 235 178 173 77 87 188 78 92 148 169 27 84 55 225 53 19 176 18 176 74 23 194 245 52 82 54 175 72 220 241 115 156 4 210 45 207 170 158 94 53 248 4 36 111 156 109 237 184 248 82 199 149 131 187 32 117 35 84 55 227 245 205 88 81 128 149 128 85 130 214 116 8 109 58 111 202 255 203 70 164 190 65 104 5 80 187 108 107 211 1 187 79 179 177 179 183 181 121 131 208 95 32 122 19 94 167 238 255 58 249 188 200 159 23 9 88 37 104 77 67 16 164 214 1 116 218 109 192 167 207 57 5 216 136 227 78 226 113 243 108 235 83 48 198 147 120 92 230 226 75 93 240 58 125 161 166 237 120 173 6 172 4 172 18 180 150 0 198 204 237 92 184 70 227 53 2 169 22 91 170 3 112 246 95 188 22 95 202 193 107 230 118 56 219 160 58 9 161 89 255 64 1 171 18 176 74 95 95 140 154 129 157 139 238 172 127 116 152 140 212 204 133 150 126 5 159 109 109 206 95 200 78 184 69 184 195 243 171 145 120 237 4 218 27 111 73 174 124 223 183 199 74 192 42 105 60 80 187 96 112 26 92 59 128 54 27 175 111 207 253 6 126 153 183 0 219 214 230 204 69 111 229 45 194 110 15 206 7 237 13 51 182 147 1 43 1 171 164 48 180 110 5 105 197 248 167 95 179 59 82 59 206 162 86 63 203 26 133 82 219 218 212 192 244 45 64 223 224 118 211 214 55 211 240 55 125 252 168 239 13 172 74 192 42 29 191 160 189 109 6 182 11 82 43 223 183 13 169 157 247 91 181 208 82 29 108 187 206 174 102 3 117 34 94 111 94 212 105 194 251 190 61 86 18 176 74 71 46 126 43 103 249 128 244 78 164 218 111 53 7 163 21 224 125 154 190 198 45 251 179 194 43 208 102 126 143 96 85 2 86 169 20 173 192 183 15 169 211 240 250 22 176 167 129 90 5 211 27 102 90 159 162 49 50 103 87 223 0 117 58 82 225 117 238 251 96 85 2 86 169 13 92 55 61 239 10 169 121 24 157 182 93 205 205 219 217 68 188 86 230 95 194 55 109 111 243 6 183 79 163 247 195 235 28 128 186 5 88 2 86 105 4 90 171 129 10 159 113 95 155 169 72 221 176 208 210 39 225 207 237 196 158 226 177 44 192 84 143 87 160 173 255 218 156 56 86 18 176 74 45 208 186 13 158 144 250 254 123 156 141 215 83 64 181 157 205 61 176 157 186 0 83 38 82 79 129 229 86 188 110 251 28 97 85 2 86 105 12 92 51 159 119 5 220 154 243 79 190 63 2 175 153 64 205 184 5 216 76 235 249 139 222 39 225 188 14 11 48 101 33 53 18 164 83 96 120 3 146 79 125 63 37 1 171 84 142 214 72 20 77 5 110 199 215 169 66 170 91 128 207 67 210 76 235 185 139 228 202 217 213 42 160 86 34 53 10 92 55 64 181 122 204 95 255 209 67 18 176 74 35 209 90 13 194 201 112 221 138 212 141 183 0 119 152 101 157 2 221 167 217 184 21 11 48 85 1 22 94 247 128 56 234 124 88 149 128 85 186 22 174 83 48 186 21 174 167 198 136 128 232 164 189 86 109 101 51 19 184 211 183 184 249 21 155 213 176 157 180 178 112 71 232 102 158 15 170 18 176 74 208 10 142 97 175 95 1 221 10 188 102 2 246 23 36 118 155 101 237 132 221 167 233 248 22 97 138 57 167 235 162 77 183 67 25 86 37 96 149 192 181 33 6 167 195 181 10 163 93 102 81 183 236 179 250 9 254 243 183 177 167 112 156 105 251 180 222 248 124 235 77 80 237 4 88 73 192 42 93 131 214 13 152 237 124 236 70 188 158 2 234 237 219 216 100 188 86 230 95 198 182 185 153 141 212 137 160 219 142 82 23 211 18 176 74 224 218 12 185 27 64 93 13 209 174 64 221 54 195 154 141 219 170 170 183 186 153 54 195 154 137 84 80 237 135 218 104 192 74 2 86 233 122 180 110 71 227 109 179 168 221 129 218 117 129 165 79 195 63 199 217 184 204 124 237 238 11 49 89 69 248 78 212 70 227 19 86 37 96 149 192 181 24 168 183 98 116 234 44 234 45 51 172 167 65 186 121 150 245 105 48 150 25 214 90 216 66 109 61 96 37 1 171 4 173 23 35 183 2 180 27 240 122 10 168 157 183 176 249 52 253 51 220 241 66 247 41 56 191 211 12 235 54 164 118 130 220 54 124 194 170 4 172 146 46 4 106 5 58 43 33 58 117 143 213 173 51 172 93 128 219 9 160 39 199 236 56 195 250 118 140 234 133 152 38 224 110 211 24 160 42 1 171 164 195 104 157 12 192 201 207 162 222 184 199 106 36 78 167 207 176 222 4 220 39 240 248 39 233 152 219 23 98 186 5 193 223 142 13 171 18 176 74 10 132 235 212 217 217 233 112 205 198 107 39 192 70 35 54 18 163 102 88 99 198 172 152 97 141 6 106 38 82 65 117 14 224 37 1 171 164 127 114 110 77 237 142 200 83 51 203 157 241 26 245 177 73 56 53 195 58 7 184 213 51 172 25 136 237 242 177 232 219 138 79 29 191 17 176 176 42 1 171 164 3 23 227 209 208 154 126 123 46 160 198 227 52 99 134 53 10 164 27 144 251 52 27 179 10 167 111 129 122 27 96 55 222 134 156 133 88 73 192 42 233 32 98 188 255 60 68 55 2 245 244 243 171 25 199 111 5 232 4 224 62 13 142 159 248 28 235 105 108 1 108 12 72 93 16 75 192 42 41 232 162 28 104 115 191 22 191 158 19 9 212 205 139 43 153 97 205 187 184 126 146 206 235 182 24 211 83 112 238 164 85 134 183 131 212 133 176 4 172 146 192 117 45 80 59 226 245 52 78 163 111 253 53 195 58 7 184 79 240 57 83 22 99 202 68 42 192 130 170 228 194 23 88 165 85 104 237 138 190 27 128 26 133 215 44 192 70 33 246 45 40 205 176 230 93 108 63 137 231 78 122 142 181 19 82 111 5 108 214 88 146 128 85 82 210 133 247 167 248 156 77 183 242 102 111 79 211 233 217 212 41 91 215 152 97 205 1 110 151 45 111 58 60 235 218 101 59 156 237 176 205 60 71 18 176 74 26 14 215 174 219 198 76 223 63 117 218 226 74 211 103 87 55 32 247 105 58 118 229 44 235 212 219 132 79 131 108 26 84 59 224 86 18 176 74 42 70 235 68 184 78 6 234 150 217 213 111 81 231 249 213 59 160 187 233 57 214 142 72 189 5 176 89 99 193 170 4 172 146 150 192 181 235 45 196 29 206 233 138 215 10 192 254 2 196 78 171 3 111 66 110 199 89 214 233 171 5 119 68 106 38 110 59 207 130 122 78 85 2 86 73 23 193 181 195 76 228 228 89 210 91 246 85 157 48 187 186 5 159 211 144 107 150 181 39 82 35 96 215 21 170 191 142 39 9 88 37 13 65 107 119 184 118 56 231 45 34 205 174 246 124 126 117 19 112 159 134 227 154 101 157 127 27 113 247 217 81 179 170 18 176 74 2 215 116 0 110 158 89 237 240 241 168 227 222 32 208 243 171 115 145 251 36 156 115 203 182 55 217 31 187 109 60 73 192 42 9 92 215 66 115 242 173 191 29 110 251 181 247 234 44 132 158 28 179 122 150 245 4 48 55 33 21 84 37 1 171 36 112 93 250 90 111 113 216 5 167 81 48 181 247 234 189 192 237 178 39 107 38 64 35 145 186 25 163 160 42 9 88 37 133 92 240 155 33 61 143 199 46 11 47 69 195 212 236 234 76 132 158 28 115 194 44 235 9 196 154 133 205 95 221 215 133 171 4 172 146 192 245 53 160 224 116 247 170 192 111 16 184 117 118 245 51 236 2 123 202 44 107 54 80 33 182 14 170 111 33 43 9 88 37 129 235 81 184 102 131 119 50 94 171 112 154 189 152 146 217 213 122 132 158 28 51 114 113 166 155 16 59 101 213 97 80 149 4 172 146 198 194 117 210 199 170 241 218 25 176 111 0 184 105 102 245 196 231 209 229 47 223 109 207 179 62 141 142 185 225 121 215 170 255 15 73 192 42 73 87 192 181 26 167 155 96 106 102 181 79 158 103 157 137 212 91 16 11 170 146 128 85 210 181 112 157 140 215 10 192 70 35 246 20 28 63 13 127 246 39 97 51 235 117 163 247 103 205 94 53 184 3 98 55 1 23 84 37 1 171 164 171 224 90 53 110 39 188 86 30 119 2 118 102 86 231 225 247 73 60 239 105 124 220 198 133 153 64 85 18 176 74 2 87 56 29 7 216 74 144 126 154 252 92 111 132 103 212 107 77 123 158 245 20 80 33 22 84 37 1 171 36 112 29 143 211 109 48 237 48 179 106 70 181 6 190 221 182 180 233 10 217 169 136 5 85 73 192 42 9 92 27 227 244 4 44 183 108 85 83 241 220 234 167 240 103 246 70 124 70 140 255 36 156 179 117 166 53 18 139 157 199 150 36 96 149 180 18 174 213 175 221 17 175 145 199 190 1 159 153 213 125 216 157 60 211 58 9 169 157 33 10 170 146 128 85 210 26 184 118 199 231 180 149 126 59 173 6 124 2 145 159 194 159 75 0 141 25 187 211 51 173 153 64 237 128 212 238 200 149 36 96 149 180 22 174 240 90 131 210 234 153 85 179 170 125 177 219 113 245 224 111 142 133 84 80 149 4 172 146 192 117 45 60 61 175 218 15 161 55 227 246 105 58 174 231 90 239 134 174 36 1 171 36 112 29 240 26 213 48 157 246 188 234 167 249 207 237 4 104 102 191 190 21 132 251 32 20 84 37 1 171 36 5 0 224 166 89 213 105 128 61 1 185 79 209 207 213 173 61 205 198 220 186 87 107 22 32 187 32 212 5 164 36 96 149 4 174 139 198 56 141 220 40 192 118 192 232 167 225 207 226 70 116 70 191 94 38 106 159 128 113 159 196 215 125 22 141 33 73 192 42 233 58 188 78 123 206 116 194 66 74 217 207 171 126 146 127 102 148 7 142 236 217 214 167 248 216 109 43 13 159 26 67 146 128 85 210 245 112 237 4 211 238 179 170 191 160 174 98 209 165 44 124 218 214 166 254 53 58 45 186 20 113 108 167 217 214 204 215 145 36 96 149 4 174 75 208 121 211 172 170 25 213 123 193 59 125 139 155 147 248 220 138 93 73 2 86 73 58 136 206 108 76 110 95 5 184 235 86 54 112 155 7 142 77 91 220 156 6 106 54 82 79 29 227 130 80 18 176 74 82 48 66 110 192 107 52 96 223 128 207 86 54 115 192 153 245 250 102 91 123 35 21 84 37 1 171 36 53 133 107 231 177 162 81 186 101 86 213 76 106 15 8 223 58 219 218 21 169 160 42 9 88 37 9 94 91 30 151 9 216 147 104 252 52 250 121 1 208 184 215 233 184 205 77 4 4 33 85 146 128 85 146 174 70 105 22 72 187 108 99 99 38 117 22 124 159 130 115 183 61 223 90 129 89 73 2 86 73 106 130 215 109 40 157 246 156 234 167 248 251 15 161 61 198 246 124 107 15 204 74 18 176 74 82 83 184 110 70 105 246 115 170 155 102 84 45 186 52 123 198 117 210 243 173 149 199 73 18 176 74 18 188 182 1 105 213 140 234 167 248 123 170 60 208 60 69 231 63 141 142 135 84 73 2 86 73 26 137 215 110 128 173 68 108 21 60 45 186 212 231 181 186 222 14 28 5 84 72 149 36 96 149 164 181 120 205 2 236 91 212 217 186 6 126 79 142 105 198 21 82 37 9 88 37 233 159 30 179 164 182 174 1 219 73 16 61 61 254 134 45 111 186 28 43 73 192 42 73 240 218 10 175 153 231 68 33 209 66 75 125 177 242 52 26 235 105 120 14 164 74 18 176 74 210 42 188 118 5 236 41 184 185 53 120 86 79 211 49 55 108 123 3 169 146 4 172 146 116 21 94 171 48 250 41 248 58 2 110 31 128 70 190 142 231 92 37 73 192 42 73 133 24 218 250 124 234 45 51 169 25 159 83 199 191 140 183 44 194 212 13 168 144 42 73 192 42 73 107 240 154 121 206 73 160 125 26 125 205 149 11 166 105 139 48 101 157 227 130 75 146 128 85 146 0 54 8 121 147 23 88 186 1 184 207 224 215 219 184 16 19 160 74 18 176 74 18 188 22 157 23 141 65 51 168 59 1 60 109 33 38 72 149 36 96 149 36 120 109 6 209 73 51 169 96 219 3 162 81 227 79 88 140 9 82 37 9 88 37 9 96 27 64 244 211 224 255 31 114 123 64 233 105 54 222 132 231 93 37 73 192 42 73 0 91 128 183 79 163 175 135 122 67 248 105 48 6 160 74 18 176 74 146 10 177 214 101 38 213 126 171 247 64 52 234 117 166 205 188 74 146 128 85 146 0 182 0 116 91 110 7 222 128 221 103 233 231 49 113 43 28 73 18 176 74 146 2 160 53 97 22 213 204 233 78 20 111 152 125 149 36 1 171 36 105 40 98 179 177 9 182 61 145 54 125 159 86 73 18 176 74 146 154 67 110 243 130 74 147 161 251 44 254 28 158 37 95 31 73 18 176 74 146 138 144 102 127 213 253 77 217 175 213 69 140 36 45 239 191 190 4 146 116 53 66 62 135 198 57 9 205 191 34 4 108 251 3 239 25 252 185 75 146 128 85 146 180 4 177 255 6 138 79 210 231 126 11 116 159 229 159 11 156 74 146 128 85 146 20 142 216 191 2 228 83 252 255 167 186 175 151 239 135 36 9 88 37 73 97 168 248 4 143 95 5 91 16 133 82 73 18 176 74 146 150 194 167 195 109 192 31 223 135 235 62 7 73 18 176 74 146 244 26 47 159 6 159 131 124 61 37 73 192 42 73 210 79 248 113 11 48 140 74 146 128 85 146 164 241 136 130 91 8 149 36 1 171 36 73 107 113 246 89 246 255 35 73 18 176 74 146 4 189 146 36 233 116 255 241 37 144 36 73 146 36 117 236 127 2 12 0 125 75 201 111 193 8 248 103 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
infoPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 6 94 73 68 65 84 120 218 196 151 91 108 148 215 17 199 127 231 242 125 123 241 133 58 36 194 10 110 138 9 73 47 196 148 214 9 151 132 68 106 32 9 40 133 7 148 168 85 47 145 250 208 54 174 20 129 66 85 69 138 74 42 212 168 125 113 68 94 74 121 168 42 181 81 171 22 37 81 35 165 133 114 137 228 54 161 9 144 154 26 155 75 192 166 248 182 182 177 177 89 179 251 93 207 233 195 174 215 235 197 54 78 95 56 210 236 55 223 183 115 102 254 103 102 206 156 57 194 90 203 237 28 146 219 60 52 64 253 243 123 22 42 191 30 216 6 52 1 245 64 10 200 3 25 160 3 120 7 56 190 16 69 153 95 239 158 6 112 139 225 2 47 1 45 171 151 223 91 191 230 243 95 160 97 113 29 53 201 36 74 41 194 40 230 122 62 79 223 232 216 211 31 157 63 255 82 199 229 238 12 176 15 248 37 16 220 74 185 176 214 206 231 129 23 29 173 91 183 174 89 199 150 230 213 84 37 92 166 50 198 218 34 1 214 218 226 19 178 158 207 161 143 255 205 161 83 31 17 197 241 46 224 181 255 215 3 123 87 53 46 223 241 131 167 158 228 51 213 105 172 133 235 190 97 220 139 201 7 134 32 134 200 20 224 104 9 9 45 89 148 84 164 93 151 173 107 215 242 200 202 149 188 113 236 104 107 215 127 123 238 1 118 206 155 3 179 140 95 109 126 112 77 203 55 31 125 4 4 100 178 17 131 217 144 32 6 99 45 198 22 86 109 44 37 178 54 194 88 80 18 238 174 117 184 171 170 138 239 111 249 58 111 127 240 254 142 182 255 124 236 2 63 90 40 128 189 79 61 184 166 229 27 143 109 32 235 199 244 140 133 228 35 83 52 50 13 96 124 168 143 161 238 78 44 80 215 112 31 181 245 203 48 128 137 224 236 176 79 183 14 89 177 216 101 235 250 13 68 198 180 124 112 166 61 152 205 19 149 0 94 252 210 231 26 119 108 127 248 97 50 147 33 61 215 66 98 99 75 198 99 59 205 175 186 11 158 127 238 57 0 126 251 247 83 124 152 47 228 129 177 150 216 64 46 138 57 209 159 227 190 59 19 108 89 183 129 204 216 213 29 221 3 125 87 42 115 162 188 14 184 90 169 214 239 62 177 137 225 124 204 185 171 1 94 100 241 98 139 31 79 61 41 241 219 55 60 80 154 248 189 39 155 75 223 189 162 140 111 44 185 24 218 51 30 125 215 35 182 61 186 17 165 84 107 113 87 205 10 224 229 77 205 15 97 85 138 115 87 131 25 10 189 18 63 77 127 187 148 47 77 252 211 153 235 120 134 18 88 223 128 23 67 80 228 219 135 124 66 81 197 67 95 92 5 240 242 108 33 80 82 138 221 143 125 121 53 93 35 126 41 230 6 48 197 16 24 166 195 96 45 28 188 116 131 191 94 156 44 230 5 24 236 52 95 76 210 184 180 77 225 100 38 207 218 7 190 202 135 157 237 187 173 181 123 128 184 28 192 230 85 247 222 207 136 175 24 247 131 130 97 91 174 208 150 41 134 76 199 63 136 252 124 153 113 88 242 149 77 197 121 51 119 136 45 2 243 124 75 95 222 97 121 195 50 46 245 246 108 6 222 45 7 240 248 242 165 159 229 194 88 64 96 42 12 50 211 184 177 150 63 255 228 25 234 171 102 230 239 19 127 232 45 129 182 76 203 79 241 198 66 231 72 64 67 125 3 151 122 123 30 159 2 48 149 3 205 233 234 59 184 17 25 124 99 8 140 45 146 193 143 11 124 88 124 247 140 229 219 127 25 224 236 224 248 12 0 147 161 97 50 52 100 67 67 54 48 220 8 13 55 34 67 46 178 120 113 65 111 54 140 113 210 117 0 205 149 57 176 212 83 9 188 72 16 68 6 47 182 196 198 18 25 8 77 97 85 145 177 148 31 220 215 114 51 203 124 222 148 253 43 110 170 248 133 95 45 200 235 52 192 210 74 0 238 39 217 136 209 88 99 66 195 172 45 130 20 21 122 43 222 164 152 255 208 17 32 29 73 214 10 202 183 226 20 128 192 199 162 28 9 22 76 188 128 38 165 194 222 173 0 72 37 80 142 36 40 120 42 168 4 208 31 69 185 21 170 186 166 176 122 49 135 23 230 195 163 196 252 171 215 18 229 74 162 201 28 64 127 101 33 106 15 178 163 56 174 64 59 2 165 5 82 50 47 137 10 123 243 202 171 130 94 199 21 4 217 81 128 246 74 0 135 115 35 125 232 132 66 39 36 82 75 164 18 8 57 55 221 180 202 57 228 166 92 175 19 18 157 80 228 70 250 0 14 87 134 224 224 104 255 21 150 196 62 78 50 81 200 122 110 145 11 149 49 178 49 66 233 89 99 175 19 18 39 169 32 246 25 237 191 2 112 176 210 3 177 181 118 207 112 231 73 220 164 196 77 41 180 43 144 90 32 36 55 81 182 243 159 212 38 212 76 251 23 222 199 134 249 25 114 82 11 180 43 112 83 10 55 41 25 233 58 69 121 25 174 60 140 94 189 122 190 147 216 203 146 72 41 220 180 70 187 133 112 84 186 245 240 143 159 97 229 210 197 51 0 156 248 233 183 184 231 206 154 105 215 107 137 118 37 110 90 147 72 41 98 47 203 200 185 51 0 175 206 213 15 4 214 196 187 122 218 142 180 174 220 182 29 169 52 82 10 2 47 38 14 45 166 172 208 60 123 116 120 238 140 151 2 41 5 202 17 184 73 69 34 173 208 218 242 201 161 35 88 19 239 170 108 84 43 239 5 175 101 7 7 94 239 110 59 70 34 173 72 213 106 146 53 26 39 37 81 174 64 168 226 140 57 72 40 80 174 192 73 73 146 53 154 84 173 38 145 86 116 183 29 35 59 56 240 250 108 13 234 108 45 217 206 225 179 93 174 148 162 229 254 141 27 113 28 135 32 161 8 188 152 40 48 196 81 193 27 214 82 56 105 68 113 159 203 194 246 213 174 196 77 42 220 132 68 73 195 133 163 135 25 62 219 181 111 174 198 116 214 155 209 208 254 87 94 24 60 221 190 175 253 192 1 162 220 4 85 53 138 218 58 135 218 58 135 154 58 135 234 69 14 85 181 154 116 173 166 170 86 83 189 168 240 125 74 166 170 70 17 229 38 56 253 230 155 12 158 110 223 55 180 255 149 23 62 109 87 44 135 127 243 243 159 69 219 127 232 159 24 30 222 121 119 83 19 141 235 215 147 74 167 74 2 102 234 172 21 32 203 170 82 152 207 115 177 237 56 3 29 29 248 153 222 189 99 111 237 255 69 113 161 241 167 1 0 192 216 91 251 255 40 19 169 227 222 166 103 191 211 123 242 196 215 234 150 53 86 47 110 92 70 205 146 37 56 201 36 82 107 76 20 17 122 30 217 161 33 70 123 46 115 237 114 207 100 152 185 242 222 196 145 3 111 24 63 127 121 65 119 195 89 134 1 124 96 220 248 249 225 107 239 254 238 247 192 59 147 77 235 154 134 26 86 52 233 69 119 52 8 237 164 145 202 193 196 161 141 194 92 52 49 214 23 244 93 236 200 117 252 171 3 152 0 70 128 241 162 30 51 239 213 236 118 142 255 13 0 122 235 112 97 56 87 144 40 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:16'!
layoutCss
	^ '/*
* Skeleton V1.2
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 6/20/2012
*/

/* Table of Content
==================================================
	#Site Styles
	#Page Styles
	#Media Queries
	#Font-Face */

/* #Site Styles
================================================== */

/* #Page Styles
================================================== */

/* #Media Queries
================================================== */

	/* Smaller than standard 960 (devices and browsers) */
	@media only screen and (max-width: 959px) {}

	/* Tablet Portrait size to standard 960 (devices and browsers) */
	@media only screen and (min-width: 768px) and (max-width: 959px) {}

	/* All Mobile Sizes (devices and browser) */
	@media only screen and (max-width: 767px) {}

	/* Mobile Landscape Size to Tablet Portrait (devices and browsers) */
	@media only screen and (min-width: 480px) and (max-width: 767px) {}

	/* Mobile Portrait Size to Mobile Landscape Size (devices and browsers) */
	@media only screen and (max-width: 479px) {}


/* #Font-Face
================================================== */
/* 	This is the proper syntax for an @font-face file
		Just create a "fonts" folder at the root,
		copy your FontName into code below and remove
		comment brackets */

/*	@font-face {
	    font-family: ''FontName'';
	    src: url(''../fonts/FontName.eot'');
	    src: url(''../fonts/FontName.eot?iefix'') format(''eot''),
	         url(''../fonts/FontName.woff'') format(''woff''),
	         url(''../fonts/FontName.ttf'') format(''truetype''),
	         url(''../fonts/FontName.svg#webfontZam02nTh'') format(''svg'');
	    font-weight: normal;
	    font-style: normal; }
*/'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/9/2012 16:58'!
searchGif
	^ #(71 73 70 56 57 97 29 0 21 0 196 0 0 241 241 239 255 255 255 224 224 224 218 218 218 204 204 204 193 193 193 182 182 182 171 171 171 161 161 161 150 150 150 138 138 138 128 128 128 117 117 117 106 106 106 95 95 95 84 84 84 74 74 74 62 62 62 52 52 52 41 41 41 255 255 255 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 1 0 0 20 0 44 0 0 0 0 29 0 21 0 0 5 164 96 16 0 2 97 158 104 170 10 128 24 148 131 43 207 180 59 16 194 72 136 165 234 167 185 0 129 20 43 252 142 168 66 96 80 122 33 159 166 156 73 8 133 82 169 85 228 85 181 144 76 38 16 133 9 1 249 66 14 169 45 106 17 65 152 24 13 130 65 18 39 60 34 198 147 250 36 17 167 22 16 40 18 9 40 123 114 19 110 11 95 113 13 15 40 17 126 83 146 130 145 13 113 128 130 132 122 147 39 12 125 38 14 113 6 19 117 119 121 147 88 39 93 102 126 100 102 104 133 156 89 63 134 179 42 87 61 182 64 66 2 69 186 73 75 44 59 78 191 65 67 78 49 53 202 51 55 65 35 185 197 45 1 33 0 59) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/9/2012 17:15'!
searchPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 18 0 0 0 19 8 6 0 0 0 157 146 93 242 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 244 73 68 65 84 120 218 148 84 79 72 147 97 24 127 247 239 219 220 255 255 139 207 169 105 219 80 167 34 141 165 135 96 34 4 94 188 196 64 15 18 121 153 4 235 224 14 54 130 132 24 129 183 46 59 164 167 81 84 183 180 78 130 20 120 9 50 11 141 26 30 186 228 82 116 134 174 109 184 182 233 214 239 25 78 190 116 3 123 225 225 251 182 247 121 127 207 239 253 253 158 231 19 149 203 101 86 93 54 155 141 9 151 72 36 98 18 137 196 35 147 201 110 75 165 210 107 248 237 40 149 74 107 71 71 71 43 197 98 49 122 124 124 188 117 154 91 15 8 0 156 92 46 159 214 104 52 97 149 74 37 49 24 12 25 68 97 119 119 87 147 201 100 184 108 54 155 70 220 201 231 243 47 8 67 202 106 44 128 48 173 86 251 68 167 211 141 119 116 116 236 135 195 225 143 237 237 237 63 176 149 66 240 75 75 75 151 163 209 232 213 68 34 241 252 224 224 128 203 229 114 49 70 104 213 176 90 173 21 86 173 173 173 131 125 125 125 229 137 137 137 100 161 80 152 193 30 239 114 185 152 195 225 96 0 164 220 94 128 60 27 30 30 206 123 189 222 108 115 115 179 81 124 150 13 180 96 77 77 77 247 192 168 28 12 6 95 66 159 251 118 187 125 59 149 74 177 116 58 205 192 128 225 224 26 254 187 59 58 58 250 65 173 86 171 80 252 214 57 32 28 100 98 177 248 58 192 246 187 186 186 30 53 54 54 150 32 236 233 62 49 135 46 172 165 165 37 53 48 48 16 225 56 174 132 155 220 172 9 4 119 148 208 233 151 211 233 76 194 161 90 50 50 92 153 241 60 191 140 252 98 67 67 3 127 14 136 44 135 200 185 189 189 61 13 172 102 245 22 237 65 47 53 132 230 224 230 31 113 173 4 136 253 19 154 240 96 213 77 192 245 156 5 192 56 213 118 187 221 235 231 128 232 42 67 67 67 175 64 185 172 215 235 159 66 124 117 45 214 208 166 19 207 135 196 222 239 247 199 196 103 19 16 129 72 36 114 195 227 241 36 208 136 189 168 26 71 99 250 97 128 250 132 201 37 133 66 17 50 26 141 159 176 175 12 4 2 111 97 200 242 63 157 221 214 214 22 192 193 89 84 97 96 147 246 249 124 91 139 139 139 87 160 23 53 29 195 72 252 6 67 29 44 39 215 210 161 80 104 5 253 54 9 135 191 74 133 32 38 147 105 214 98 177 48 84 164 43 106 55 54 54 62 207 205 205 125 155 159 159 239 140 199 227 230 195 195 67 9 152 108 247 244 244 36 71 70 70 222 131 209 99 0 126 167 246 168 48 170 130 80 103 83 53 186 34 42 231 208 144 51 253 253 253 81 212 25 68 184 17 74 196 62 98 29 241 14 76 10 4 66 24 34 32 118 155 205 230 47 52 26 4 2 45 136 81 110 106 106 234 53 230 108 18 93 188 115 242 21 168 236 145 171 100 8 1 8 219 67 178 176 176 96 218 220 220 28 67 162 130 146 133 32 168 184 67 141 87 61 72 239 244 132 86 76 168 109 5 40 22 139 101 33 24 191 186 186 234 164 54 2 200 27 33 200 69 87 213 53 45 170 78 99 134 116 16 240 193 255 130 156 253 176 81 79 73 49 213 5 225 144 94 116 253 21 96 0 178 212 92 57 209 0 214 252 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:16'!
skeletonCss
	^ '/*
* Skeleton V1.2
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 6/20/2012
*/


/* Table of Contents
==================================================
    #Base 960 Grid
    #Tablet (Portrait)
    #Mobile (Portrait)
    #Mobile (Landscape)
    #Clearing */



/* #Base 960 Grid
================================================== */

    .container                                  { position: relative; width: 960px; margin: 0 auto; padding: 0; }
    .container .column,
    .container .columns                         { float: left; display: inline; margin-left: 10px; margin-right: 10px; }
    .row                                        { margin-bottom: 20px; }

    /* Nested Column Classes */
    .column.alpha, .columns.alpha               { margin-left: 0; }
    .column.omega, .columns.omega               { margin-right: 0; }

    /* Base Grid */
    .container .one.column,
    .container .one.columns                     { width: 40px;  }
    .container .two.columns                     { width: 100px; }
    .container .three.columns                   { width: 160px; }
    .container .four.columns                    { width: 220px; }
    .container .five.columns                    { width: 280px; }
    .container .six.columns                     { width: 340px; }
    .container .seven.columns                   { width: 400px; }
    .container .eight.columns                   { width: 460px; }
    .container .nine.columns                    { width: 520px; }
    .container .ten.columns                     { width: 580px; }
    .container .eleven.columns                  { width: 640px; }
    .container .twelve.columns                  { width: 700px; }
    .container .thirteen.columns                { width: 760px; }
    .container .fourteen.columns                { width: 820px; }
    .container .fifteen.columns                 { width: 880px; }
    .container .sixteen.columns                 { width: 940px; }

    .container .one-third.column                { width: 300px; }
    .container .two-thirds.column               { width: 620px; }

    /* Offsets */
    .container .offset-by-one                   { padding-left: 60px;  }
    .container .offset-by-two                   { padding-left: 120px; }
    .container .offset-by-three                 { padding-left: 180px; }
    .container .offset-by-four                  { padding-left: 240px; }
    .container .offset-by-five                  { padding-left: 300px; }
    .container .offset-by-six                   { padding-left: 360px; }
    .container .offset-by-seven                 { padding-left: 420px; }
    .container .offset-by-eight                 { padding-left: 480px; }
    .container .offset-by-nine                  { padding-left: 540px; }
    .container .offset-by-ten                   { padding-left: 600px; }
    .container .offset-by-eleven                { padding-left: 660px; }
    .container .offset-by-twelve                { padding-left: 720px; }
    .container .offset-by-thirteen              { padding-left: 780px; }
    .container .offset-by-fourteen              { padding-left: 840px; }
    .container .offset-by-fifteen               { padding-left: 900px; }



/* #Tablet (Portrait)
================================================== */

    /* Note: Design for a width of 768px */

    @media only screen and (min-width: 768px) and (max-width: 959px) {
        .container                                  { width: 768px; }
        .container .column,
        .container .columns                         { margin-left: 10px; margin-right: 10px;  }
        .column.alpha, .columns.alpha               { margin-left: 0; margin-right: 10px; }
        .column.omega, .columns.omega               { margin-right: 0; margin-left: 10px; }
        .alpha.omega                                { margin-left: 0; margin-right: 0; }

        .container .one.column,
        .container .one.columns                     { width: 28px; }
        .container .two.columns                     { width: 76px; }
        .container .three.columns                   { width: 124px; }
        .container .four.columns                    { width: 172px; }
        .container .five.columns                    { width: 220px; }
        .container .six.columns                     { width: 268px; }
        .container .seven.columns                   { width: 316px; }
        .container .eight.columns                   { width: 364px; }
        .container .nine.columns                    { width: 412px; }
        .container .ten.columns                     { width: 460px; }
        .container .eleven.columns                  { width: 508px; }
        .container .twelve.columns                  { width: 556px; }
        .container .thirteen.columns                { width: 604px; }
        .container .fourteen.columns                { width: 652px; }
        .container .fifteen.columns                 { width: 700px; }
        .container .sixteen.columns                 { width: 748px; }

        .container .one-third.column                { width: 236px; }
        .container .two-thirds.column               { width: 492px; }

        /* Offsets */
        .container .offset-by-one                   { padding-left: 48px; }
        .container .offset-by-two                   { padding-left: 96px; }
        .container .offset-by-three                 { padding-left: 144px; }
        .container .offset-by-four                  { padding-left: 192px; }
        .container .offset-by-five                  { padding-left: 240px; }
        .container .offset-by-six                   { padding-left: 288px; }
        .container .offset-by-seven                 { padding-left: 336px; }
        .container .offset-by-eight                 { padding-left: 384px; }
        .container .offset-by-nine                  { padding-left: 432px; }
        .container .offset-by-ten                   { padding-left: 480px; }
        .container .offset-by-eleven                { padding-left: 528px; }
        .container .offset-by-twelve                { padding-left: 576px; }
        .container .offset-by-thirteen              { padding-left: 624px; }
        .container .offset-by-fourteen              { padding-left: 672px; }
        .container .offset-by-fifteen               { padding-left: 720px; }
    }


/*  #Mobile (Portrait)
================================================== */

    /* Note: Design for a width of 320px */

    @media only screen and (max-width: 767px) {
        .container { width: 300px; }
        .container .columns,
        .container .column { margin: 0; }

        .container .one.column,
        .container .one.columns,
        .container .two.columns,
        .container .three.columns,
        .container .four.columns,
        .container .five.columns,
        .container .six.columns,
        .container .seven.columns,
        .container .eight.columns,
        .container .nine.columns,
        .container .ten.columns,
        .container .eleven.columns,
        .container .twelve.columns,
        .container .thirteen.columns,
        .container .fourteen.columns,
        .container .fifteen.columns,
        .container .sixteen.columns,
        .container .one-third.column,
        .container .two-thirds.column  { width: 300px; }

        /* Offsets */
        .container .offset-by-one,
        .container .offset-by-two,
        .container .offset-by-three,
        .container .offset-by-four,
        .container .offset-by-five,
        .container .offset-by-six,
        .container .offset-by-seven,
        .container .offset-by-eight,
        .container .offset-by-nine,
        .container .offset-by-ten,
        .container .offset-by-eleven,
        .container .offset-by-twelve,
        .container .offset-by-thirteen,
        .container .offset-by-fourteen,
        .container .offset-by-fifteen { padding-left: 0; }

    }


/* #Mobile (Landscape)
================================================== */

    /* Note: Design for a width of 480px */

    @media only screen and (min-width: 480px) and (max-width: 767px) {
        .container { width: 420px; }
        .container .columns,
        .container .column { margin: 0; }

        .container .one.column,
        .container .one.columns,
        .container .two.columns,
        .container .three.columns,
        .container .four.columns,
        .container .five.columns,
        .container .six.columns,
        .container .seven.columns,
        .container .eight.columns,
        .container .nine.columns,
        .container .ten.columns,
        .container .eleven.columns,
        .container .twelve.columns,
        .container .thirteen.columns,
        .container .fourteen.columns,
        .container .fifteen.columns,
        .container .sixteen.columns,
        .container .one-third.column,
        .container .two-thirds.column { width: 420px; }
    }


/* #Clearing
================================================== */

    /* Self Clearing Goodness */
    .container:after { content: "\0020"; display: block; height: 0; clear: both; visibility: hidden; }

    /* Use clearfix class on parent to clear nested columns,
    or wrap each row of columns in a <div class="row"> */
    .clearfix:before,
    .clearfix:after,
    .row:before,
    .row:after {
      content: ''\0020'';
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0; }
    .row:after,
    .clearfix:after {
      clear: both; }
    .row,
    .clearfix {
      zoom: 1; }

    /* You can also use a <br class="clear" /> to clear columns */
    .clear {
      clear: both;
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0;
    }
'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/28/2012 08:08'!
subheaderPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 50 0 0 0 50 8 2 0 0 0 145 93 31 230 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 10 22 73 68 65 84 120 218 92 153 9 118 227 56 18 68 73 80 139 107 185 255 141 186 47 84 229 178 173 133 236 143 248 64 150 102 248 252 100 145 196 146 107 100 36 180 254 251 239 63 123 174 214 218 182 157 150 126 29 219 182 241 228 56 150 227 216 185 231 213 145 171 191 59 14 110 159 207 39 159 235 218 242 100 231 203 237 246 117 62 159 79 167 19 175 150 101 61 157 182 172 122 220 239 55 86 115 145 117 93 23 55 56 156 197 237 202 0 94 49 145 231 76 112 205 126 127 238 215 5 153 88 43 179 86 150 102 38 187 56 20 81 50 97 189 92 46 126 223 114 237 59 3 31 145 242 161 148 31 31 31 124 97 95 103 241 252 60 175 251 253 158 101 85 175 127 178 32 3 88 51 83 150 60 97 145 133 191 230 198 8 244 120 244 105 236 164 100 60 201 186 79 38 171 13 159 127 254 252 65 250 219 237 182 71 162 62 110 93 187 54 219 166 52 14 203 126 253 45 183 90 8 153 28 169 86 92 238 235 96 205 175 33 245 140 247 43 59 161 16 171 103 26 58 237 239 239 239 60 196 148 177 202 49 255 176 83 123 123 123 83 105 86 228 173 91 42 153 2 61 30 15 62 167 67 23 110 91 46 86 112 11 93 166 196 220 178 2 79 98 224 93 163 52 111 214 92 101 27 62 190 127 255 94 238 96 35 87 184 94 223 48 40 219 96 51 150 67 19 109 224 198 234 26 101 78 184 230 126 127 104 39 5 205 178 203 231 231 39 95 184 101 58 159 218 140 79 102 41 101 162 165 175 179 25 101 95 95 95 44 225 32 151 99 215 168 212 42 102 89 31 33 157 175 49 88 14 211 176 7 254 69 193 25 127 139 1 201 173 162 95 175 87 13 204 91 22 212 51 184 130 117 180 133 195 178 99 23 177 107 160 233 234 93 182 236 17 141 160 188 50 200 144 137 91 131 61 183 171 177 203 54 88 209 185 228 148 182 201 102 154 135 68 187 35 19 54 230 203 180 208 161 201 181 10 23 115 185 101 113 4 98 58 249 215 55 139 3 91 246 91 18 1 187 18 24 1 140 227 21 211 188 13 74 44 51 225 71 158 178 174 27 224 122 17 64 123 51 11 185 179 197 226 244 169 249 97 48 185 139 91 36 126 70 234 52 83 87 193 81 81 112 50 126 21 197 141 153 195 39 122 187 98 114 182 3 155 203 169 40 207 127 253 250 85 16 101 254 242 28 119 185 72 197 147 58 24 60 122 192 20 86 128 174 164 242 42 56 111 53 123 1 166 223 149 85 201 244 133 41 130 139 243 170 167 225 229 114 77 96 93 209 152 49 19 50 226 136 8 105 60 185 242 76 210 177 78 185 72 60 239 249 17 171 54 33 74 232 50 60 77 22 7 213 119 177 192 172 86 105 214 154 249 113 210 89 188 52 234 13 187 194 36 141 42 148 144 143 73 163 149 41 38 50 3 50 190 27 175 139 101 160 104 195 31 63 126 152 231 211 120 155 42 2 84 133 5 138 21 77 22 117 205 222 35 248 120 200 103 112 104 51 182 156 66 254 226 77 87 54 223 115 123 176 99 207 187 184 37 142 234 223 59 238 71 233 14 167 220 152 8 6 102 210 231 169 97 208 73 203 43 71 100 198 197 3 202 19 133 119 205 227 246 162 151 54 80 8 85 74 150 157 185 181 28 153 236 179 74 30 230 224 240 3 246 44 44 46 3 88 188 152 198 234 179 120 225 226 161 113 138 250 102 168 153 49 214 199 10 41 167 56 172 244 116 65 67 86 112 18 177 172 232 38 227 68 199 103 251 246 237 155 150 48 17 44 91 200 170 157 29 170 4 186 223 24 229 21 66 88 185 147 70 167 192 242 26 11 173 250 206 165 48 0 95 40 101 60 183 146 42 138 34 122 97 44 144 133 29 82 78 186 62 77 21 39 47 32 17 186 4 200 106 48 213 37 66 150 160 196 196 75 8 182 24 117 20 111 110 17 37 0 178 7 207 68 212 55 28 109 162 241 41 132 178 44 235 36 210 215 140 31 0 217 225 186 4 207 187 142 188 146 173 42 124 170 168 97 248 12 22 156 137 9 204 131 241 245 72 121 150 41 9 128 93 68 53 85 163 201 97 169 17 176 98 163 191 165 48 168 185 106 111 35 184 25 10 129 46 161 97 68 159 172 72 104 53 185 34 208 5 70 133 139 227 187 150 192 239 246 38 85 29 163 23 172 13 44 96 38 25 79 202 170 158 72 96 152 79 243 44 130 203 100 105 207 191 140 49 73 254 76 17 164 34 158 68 47 253 171 31 205 0 237 207 96 132 211 132 46 36 53 208 53 194 35 6 16 229 39 166 143 152 51 67 43 142 227 171 135 57 168 103 78 177 216 48 152 245 68 106 198 0 18 156 61 120 86 88 143 38 197 167 9 148 146 9 29 82 119 215 152 252 112 75 182 137 163 123 74 161 173 162 224 71 115 57 148 122 128 139 70 1 141 133 46 133 67 44 86 25 148 43 197 235 166 78 38 170 176 169 205 16 197 85 116 107 145 204 65 143 130 221 194 146 225 194 119 19 214 212 147 134 4 41 0 35 17 81 118 37 254 201 243 186 88 189 188 22 193 242 181 2 29 147 39 152 29 178 74 93 99 117 155 12 238 152 88 120 68 227 139 132 71 161 165 89 198 153 80 57 227 165 47 59 195 104 41 166 207 12 99 174 175 227 56 67 111 214 199 197 220 228 187 158 213 18 198 129 129 89 85 82 185 219 184 214 120 179 25 239 82 40 165 180 96 23 74 73 96 120 142 220 214 40 67 37 158 93 7 15 19 226 5 36 60 85 218 243 69 71 24 182 14 179 212 207 84 218 141 125 51 215 20 67 200 73 211 123 233 212 137 108 159 189 187 247 45 56 178 1 227 175 218 13 73 226 72 144 117 48 250 67 224 182 26 8 232 26 210 176 112 126 122 166 53 156 246 136 37 182 52 115 189 186 77 230 249 20 89 100 62 63 127 254 148 142 139 180 140 33 9 176 202 91 174 106 239 92 31 94 52 212 251 191 154 85 84 95 251 21 147 70 74 213 45 205 166 126 29 83 28 105 59 170 203 102 201 3 78 111 174 80 248 162 203 116 66 177 72 117 134 65 24 69 70 241 82 233 150 113 45 222 105 225 242 131 61 170 110 120 253 46 222 76 48 235 138 201 13 101 185 94 152 36 8 178 167 189 59 170 164 42 135 208 96 131 100 246 8 188 65 175 0 94 113 78 33 62 216 189 215 174 226 248 60 10 216 100 41 224 131 244 205 16 46 198 162 85 12 151 58 25 16 63 197 82 87 8 169 31 237 36 171 137 219 124 78 190 20 152 116 144 40 21 140 29 202 189 100 80 75 249 235 210 74 146 236 106 18 112 91 149 17 119 85 159 226 79 213 123 186 12 18 43 132 193 231 57 67 109 87 241 211 65 74 220 154 44 236 92 166 150 250 25 242 95 95 159 250 107 148 247 113 117 176 184 221 190 170 230 24 79 101 108 13 224 201 130 216 49 101 26 125 246 4 228 17 184 197 1 187 181 98 170 30 215 228 133 85 221 82 83 228 159 205 68 23 245 54 225 121 67 156 241 138 68 155 8 185 91 203 25 108 220 0 28 54 97 2 47 209 102 57 87 243 87 146 72 191 100 218 186 14 35 123 83 102 19 161 19 11 105 102 106 12 17 211 188 223 235 172 6 203 217 118 11 66 6 159 228 81 131 85 83 175 7 196 66 171 83 10 212 81 236 20 164 20 41 236 116 34 250 227 52 163 164 189 186 86 11 249 36 180 100 147 108 153 170 118 136 243 232 199 142 99 53 197 236 10 117 189 248 140 144 12 65 235 121 186 177 198 113 135 14 173 70 72 251 33 136 88 104 161 56 234 32 128 215 30 12 77 200 62 165 48 111 150 66 91 66 17 74 88 42 162 92 217 138 246 197 109 44 154 252 139 61 150 80 146 103 29 226 249 189 224 116 30 186 132 239 171 217 164 37 187 106 41 22 225 12 190 113 201 209 138 169 73 220 216 41 232 183 22 232 91 241 235 24 45 164 126 244 235 191 127 255 14 89 186 189 230 172 217 39 124 228 203 221 80 233 6 171 218 92 124 16 201 72 61 140 60 143 252 118 69 247 11 171 32 80 206 103 182 34 88 238 49 155 219 38 139 47 90 92 253 230 180 226 81 61 129 57 200 99 156 84 212 84 177 22 131 180 72 25 174 144 144 164 247 31 85 215 16 142 2 118 207 107 2 110 79 97 110 149 161 85 76 12 41 128 73 226 160 67 205 128 208 246 86 113 169 215 236 80 234 196 176 217 62 168 141 215 75 151 241 183 181 159 199 155 187 197 39 217 36 90 14 19 234 203 2 54 89 30 43 120 134 24 212 88 49 115 241 216 106 114 166 134 71 193 242 223 158 204 17 53 84 7 75 247 228 79 194 113 117 182 154 54 195 70 59 169 83 102 174 52 21 176 93 179 72 123 21 140 113 37 58 239 118 43 86 139 73 174 30 255 115 110 33 215 43 184 179 92 26 114 158 84 133 79 159 245 166 153 43 151 103 162 8 39 190 104 48 89 158 230 212 66 54 47 117 214 224 49 76 245 35 226 0 115 251 249 168 208 172 186 12 210 188 213 146 155 186 168 101 2 167 215 59 194 4 63 171 163 151 23 213 201 128 0 91 7 187 249 255 80 74 207 81 146 16 23 79 52 13 3 1 86 65 17 134 124 234 197 7 93 173 39 238 228 114 98 140 27 76 104 33 141 191 132 40 4 173 147 180 58 240 145 146 155 246 26 76 35 185 148 208 99 241 73 71 179 200 248 102 104 46 243 231 133 94 60 236 42 237 110 151 226 190 34 111 177 34 11 75 252 120 181 232 122 232 48 27 201 93 134 99 38 242 138 162 134 220 134 68 29 39 89 202 172 223 245 211 65 81 217 217 11 162 198 121 52 251 209 233 92 135 216 110 230 161 158 125 105 72 213 121 18 198 99 158 106 60 234 116 14 147 57 88 106 161 43 173 116 5 25 98 141 210 200 56 156 43 140 27 127 90 167 135 169 241 65 12 26 31 102 138 64 98 52 32 144 172 166 72 92 245 156 218 70 76 153 53 174 142 36 198 145 223 132 214 231 164 150 173 122 10 209 17 5 34 141 71 181 103 25 78 147 34 26 131 137 86 177 110 169 19 179 250 161 65 231 126 124 124 104 36 207 254 42 62 180 1 119 147 128 140 106 246 250 179 133 203 202 50 116 174 113 153 132 237 108 172 126 170 106 86 6 111 2 1 119 121 139 71 226 18 143 242 175 181 89 23 107 209 32 69 123 105 142 7 158 153 83 30 144 26 200 9 211 77 48 187 230 146 170 152 82 117 252 217 234 168 62 198 0 232 214 247 247 119 81 196 78 146 200 173 115 108 215 178 238 10 102 179 229 127 170 201 203 175 95 75 157 59 218 223 122 138 100 48 21 181 116 163 183 183 111 83 195 197 35 167 209 156 121 234 167 49 36 144 197 32 116 92 253 164 51 169 68 37 185 36 113 28 169 207 243 173 58 19 88 103 54 140 31 176 230 111 96 254 52 113 170 195 213 217 212 236 134 60 227 251 175 127 102 25 75 115 99 221 168 31 164 132 194 106 21 229 168 82 46 79 74 92 78 114 27 56 48 122 214 170 253 57 21 59 189 252 188 208 235 204 231 231 135 249 68 170 134 33 62 4 247 121 142 218 201 213 127 2 12 0 144 76 162 50 29 46 17 167 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
successPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 6 138 73 68 65 84 120 218 196 151 93 108 84 199 21 199 127 119 102 238 245 174 13 56 40 73 139 192 41 13 144 84 168 80 146 210 96 62 149 132 86 14 2 229 163 173 90 181 18 15 125 107 221 54 130 134 74 137 136 5 4 53 106 95 136 136 212 22 229 177 77 155 168 138 146 42 72 9 164 70 201 34 62 156 56 73 75 112 140 13 212 248 19 123 177 49 94 175 205 238 222 143 153 233 195 94 27 179 94 192 244 133 179 58 154 187 123 103 207 255 127 254 115 238 204 185 142 181 150 59 105 130 59 108 10 96 205 175 239 157 233 252 53 192 83 192 114 96 30 144 4 242 64 26 104 1 14 2 77 51 9 212 244 199 161 107 4 110 97 30 240 2 80 255 205 37 15 207 251 246 210 213 124 245 238 26 102 37 102 35 165 34 212 1 227 185 44 233 203 125 91 254 211 254 241 11 109 23 78 167 129 3 192 31 128 224 86 193 29 107 237 205 20 120 78 41 119 95 221 154 167 217 248 157 45 36 42 170 0 139 5 138 181 99 177 214 50 249 177 150 92 97 156 212 103 239 147 106 62 68 164 163 29 192 43 255 175 2 251 151 46 94 177 109 235 230 122 230 84 205 197 98 201 133 89 198 253 81 124 157 35 212 33 218 70 96 65 10 137 39 19 84 122 115 72 122 85 212 173 125 134 85 203 55 240 118 227 95 246 157 237 108 253 26 176 253 166 53 80 198 254 252 221 213 91 234 159 220 240 83 16 14 87 114 105 134 115 3 68 38 196 88 141 181 22 99 13 22 51 237 90 56 130 123 170 230 115 87 229 189 108 125 234 23 28 58 246 246 182 147 255 78 121 192 47 103 74 96 255 227 181 155 235 159 124 244 39 228 194 49 210 35 93 248 58 95 148 218 26 76 12 100 173 41 146 129 152 148 193 82 36 211 157 105 103 64 94 96 65 245 18 158 216 240 12 218 232 250 79 78 29 11 202 41 81 74 224 185 111 220 191 108 219 230 245 63 228 74 254 18 233 108 231 181 140 49 197 76 39 60 6 43 18 41 81 195 106 2 157 227 236 208 103 212 84 47 225 123 235 54 115 105 168 127 91 215 197 142 158 210 154 152 186 15 120 74 186 251 126 252 196 207 200 250 67 244 101 206 18 106 159 72 251 132 166 56 106 29 16 105 159 200 248 147 247 34 19 251 117 223 3 180 14 8 163 60 23 134 79 115 37 215 207 150 141 63 64 74 181 47 126 170 202 18 120 241 209 218 58 164 7 189 163 103 227 64 5 66 227 19 78 27 139 247 34 59 113 93 28 91 78 118 76 18 10 109 129 200 6 68 198 167 99 228 11 156 138 136 149 223 170 5 120 177 28 1 41 132 216 181 246 225 199 232 206 180 18 232 60 97 156 121 104 10 113 102 133 107 192 49 96 168 11 147 89 183 158 232 228 245 157 41 206 156 236 34 50 62 218 4 241 220 128 80 23 56 127 249 115 30 89 81 139 227 56 187 0 89 74 96 211 178 7 30 226 170 190 76 62 28 45 102 97 139 64 218 6 215 174 77 161 248 221 248 232 248 158 182 62 103 78 118 243 247 134 227 0 188 209 112 146 246 166 62 180 241 49 54 68 91 31 99 3 242 225 40 217 104 128 197 11 151 0 108 42 37 176 113 209 125 139 24 200 158 139 131 22 98 128 194 100 54 173 39 58 39 1 77 60 106 235 211 214 212 203 27 13 215 239 190 255 216 245 41 134 16 99 3 44 33 198 134 24 2 122 51 173 212 204 175 1 216 88 74 96 229 236 234 42 252 232 106 177 184 76 48 89 76 145 41 208 122 162 135 191 238 60 78 235 137 30 66 93 192 143 198 9 162 28 45 199 59 121 179 161 121 250 246 249 222 106 252 104 28 95 95 37 208 185 120 73 11 228 163 44 149 213 30 192 202 210 199 112 129 163 138 178 134 58 32 52 62 198 104 180 13 57 219 52 200 59 123 218 98 121 63 225 233 221 15 176 104 213 93 92 104 206 240 238 75 231 167 129 255 230 189 71 166 239 247 78 156 173 227 32 100 1 96 65 41 1 111 40 247 95 242 206 8 145 49 76 109 17 38 192 39 236 221 151 206 243 253 61 15 150 5 255 237 161 85 72 225 148 63 116 28 80 66 16 217 113 166 62 138 19 75 16 104 83 192 149 2 37 4 82 56 147 254 252 7 181 211 130 253 115 207 185 105 191 61 255 65 237 117 255 43 117 37 4 174 20 24 227 51 245 148 156 32 112 49 240 67 60 165 112 165 68 73 129 20 215 124 103 227 154 155 30 169 59 27 215 92 55 191 212 149 20 184 82 226 41 69 224 135 0 23 75 9 156 26 27 245 241 164 196 149 2 233 136 226 122 77 241 134 35 107 203 130 55 28 89 59 109 110 169 75 167 152 189 39 37 99 163 62 192 169 82 2 141 67 233 113 18 74 146 80 69 18 74 78 151 113 247 135 235 174 3 223 253 225 186 155 202 46 133 131 146 14 174 20 147 177 135 210 227 0 141 165 4 14 247 246 13 99 35 75 210 117 73 184 177 18 101 2 238 77 173 7 96 111 106 253 45 193 165 136 193 93 73 210 117 177 145 165 183 111 24 224 112 41 1 109 173 221 219 114 58 77 66 41 146 202 197 19 18 37 68 89 73 127 119 116 195 45 101 23 78 177 240 60 33 73 42 151 132 82 124 217 114 9 107 237 94 64 151 59 140 94 110 107 31 34 159 11 169 244 92 146 158 139 167 36 82 10 132 112 110 219 165 20 120 74 146 244 92 42 61 151 124 46 228 76 219 32 192 203 55 58 13 3 99 236 142 212 209 78 60 225 50 219 75 80 229 86 144 148 10 87 72 164 35 102 236 174 144 36 165 162 202 173 96 182 151 192 19 46 169 163 157 24 99 119 148 54 170 165 239 5 175 244 167 179 175 166 142 117 80 233 42 230 84 120 204 170 240 72 42 133 23 215 132 112 184 161 75 225 224 73 65 82 41 102 85 120 204 169 240 168 116 21 169 99 29 244 167 179 175 150 107 80 203 181 100 219 91 219 47 121 142 227 212 111 122 236 65 60 165 72 168 136 66 20 18 24 29 239 148 22 51 101 187 20 142 131 51 101 205 19 202 165 66 41 132 117 56 156 58 71 107 251 165 3 55 106 76 203 54 165 31 255 233 242 179 230 231 150 145 145 124 253 150 186 165 204 173 78 146 116 61 2 29 17 26 141 54 6 99 139 237 185 19 19 144 162 40 189 39 21 82 8 70 70 243 188 127 164 141 158 158 204 129 230 215 134 159 93 253 171 123 110 171 43 22 205 175 13 239 201 255 72 251 233 161 230 237 15 45 155 207 250 85 247 83 149 172 152 156 80 170 192 132 229 242 33 31 53 119 112 234 203 126 178 3 193 254 150 183 50 191 143 151 90 223 14 1 0 90 222 202 188 169 18 78 211 149 58 127 235 167 159 247 62 254 245 133 115 103 45 94 120 55 243 190 50 155 100 194 69 41 65 20 25 242 133 144 244 224 24 29 221 195 116 117 143 140 143 13 68 31 157 255 87 246 111 81 193 118 205 232 221 176 140 25 192 7 50 81 193 14 182 29 28 125 29 56 216 179 34 183 252 244 125 131 203 19 213 178 70 184 78 165 35 112 173 33 52 161 205 21 70 117 95 166 55 108 73 127 145 111 1 70 129 33 32 19 199 49 55 125 53 187 147 246 191 1 0 139 105 198 147 49 44 179 21 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
warningPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 7 2 73 68 65 84 120 218 196 151 93 108 92 71 21 199 127 51 247 195 187 119 215 235 207 58 142 157 216 73 220 186 40 33 216 86 130 26 104 73 210 82 212 164 169 28 65 84 21 129 132 80 164 10 196 27 106 75 165 10 169 138 144 170 22 84 137 39 64 66 130 194 27 66 145 72 68 164 182 16 16 33 70 81 105 112 72 210 56 141 243 233 248 219 142 189 190 94 239 222 189 247 206 12 15 187 118 178 137 77 156 190 100 164 115 239 220 153 115 207 252 207 153 115 206 156 17 198 24 30 102 147 60 228 102 3 252 237 167 237 171 98 126 127 110 203 203 13 246 194 193 26 171 176 201 147 97 218 17 202 138 140 165 242 218 205 205 169 228 213 91 113 234 55 123 106 62 249 245 106 100 61 243 163 27 183 1 252 191 118 120 182 39 221 234 102 143 110 78 140 239 122 169 83 200 250 150 167 73 100 90 176 220 52 82 218 104 21 18 23 231 189 192 31 105 154 25 61 189 99 120 60 249 171 11 65 243 63 70 194 218 222 3 117 253 185 85 89 96 165 214 151 235 56 242 98 195 249 222 230 206 189 52 61 250 10 150 227 1 6 12 229 183 193 96 112 189 70 188 186 118 234 219 190 196 198 104 65 118 94 254 235 211 147 87 143 207 255 211 239 56 250 100 250 202 254 207 4 224 116 190 173 127 239 166 100 247 198 109 111 99 39 106 192 24 84 113 14 21 204 161 195 5 140 138 48 58 6 3 66 90 8 39 129 149 168 65 186 41 154 59 247 210 208 182 131 244 217 63 244 254 125 168 173 127 155 55 212 243 64 0 250 243 235 207 63 255 133 199 183 180 110 254 6 8 65 52 63 78 228 143 162 85 8 90 131 209 24 202 111 99 192 44 246 53 66 218 184 153 22 236 116 19 27 123 190 131 235 253 185 251 47 23 205 249 30 239 230 231 87 5 224 116 190 173 255 249 173 143 109 105 221 252 117 116 232 19 204 92 67 71 133 242 34 6 99 52 160 185 149 205 113 246 210 56 177 82 116 180 214 176 161 185 166 4 42 214 20 38 103 17 51 151 73 52 118 210 210 185 135 103 205 177 45 31 126 42 150 181 132 188 123 207 119 183 123 221 45 159 235 37 206 141 147 31 63 135 46 250 24 85 196 168 34 58 14 48 101 242 105 226 165 215 126 199 193 67 127 194 107 223 69 62 159 91 154 211 113 17 85 200 178 112 243 35 194 236 77 214 118 124 149 157 173 178 187 47 215 113 100 69 0 135 103 123 210 95 201 220 232 109 239 250 38 113 126 130 194 212 0 70 221 94 208 168 0 163 131 165 177 173 187 190 77 85 50 13 192 23 159 59 136 147 204 148 230 22 73 23 49 42 79 126 188 159 200 31 166 181 115 47 79 101 174 247 30 158 237 73 47 11 96 157 155 61 214 180 105 55 210 232 242 226 69 180 10 42 232 206 49 113 87 10 115 109 133 89 228 211 139 124 37 203 45 140 245 35 117 145 134 150 30 214 185 217 99 247 0 56 60 219 227 62 145 190 177 179 177 125 7 133 201 243 152 184 80 169 205 221 164 139 132 254 216 146 144 48 152 39 156 27 42 109 149 14 49 186 8 186 88 178 130 46 130 42 176 48 250 111 26 90 186 121 34 125 125 231 225 217 30 183 2 64 198 10 222 168 109 222 140 46 76 163 194 108 201 212 186 108 70 83 188 221 215 65 249 187 72 60 119 121 9 64 110 242 82 105 220 220 177 176 41 130 9 203 227 33 58 156 69 45 140 80 93 215 78 198 10 222 168 0 80 111 229 95 168 174 219 64 48 243 105 89 192 226 30 150 52 166 172 85 73 179 82 95 77 159 94 2 80 24 255 184 252 95 89 123 19 130 142 48 58 4 19 149 128 232 136 194 212 57 82 153 181 212 91 249 23 42 194 176 222 206 117 184 174 139 158 159 40 199 120 101 108 99 12 80 142 121 29 99 116 68 48 121 134 168 224 227 36 51 196 227 125 232 40 7 70 221 193 95 206 150 75 61 131 81 5 156 140 160 222 206 117 84 0 72 91 197 148 32 0 2 116 84 44 239 101 92 166 168 20 255 58 174 16 8 48 115 189 143 186 13 95 166 48 113 250 190 135 143 0 132 45 144 228 73 91 197 84 5 0 91 104 17 205 15 162 11 83 232 232 78 13 110 255 45 172 69 49 183 91 126 250 2 26 16 150 184 255 241 39 4 210 145 96 114 216 66 139 10 0 177 145 198 16 96 185 178 100 44 181 202 98 34 28 161 232 103 86 5 64 88 2 203 149 104 138 196 70 154 10 0 57 85 181 160 141 170 181 93 11 163 75 39 220 106 42 37 227 95 36 93 215 198 172 20 247 81 94 148 204 239 90 196 177 34 167 170 22 42 0 204 168 212 245 48 10 186 147 94 9 128 70 193 42 172 16 231 71 200 14 252 22 113 63 0 178 180 184 229 90 132 133 152 25 149 186 94 9 32 78 29 201 231 252 238 186 71 210 88 37 135 71 179 140 47 220 233 128 126 204 249 107 5 98 101 104 95 227 210 209 154 88 121 239 109 137 85 101 35 93 155 124 46 199 76 220 112 164 34 15 248 42 241 214 66 118 14 164 192 78 58 88 9 11 233 72 132 37 86 164 160 122 59 223 122 243 63 188 252 179 171 172 217 254 67 130 216 44 203 39 29 137 149 176 176 147 14 72 193 66 118 14 95 37 222 170 0 112 160 174 63 60 149 219 112 98 122 212 199 74 56 216 73 23 203 181 144 182 68 72 177 44 117 237 254 62 85 201 26 0 186 118 127 143 76 99 219 61 60 210 150 88 174 85 146 151 112 152 30 243 57 149 219 112 226 64 93 127 120 207 97 52 28 214 238 155 25 247 137 149 193 242 92 44 207 69 186 54 194 150 32 197 61 148 191 250 123 116 228 3 48 119 233 61 226 194 104 197 188 176 37 210 181 151 100 197 202 48 51 230 51 28 214 238 91 182 32 57 80 215 159 59 233 119 28 245 6 198 122 59 182 183 33 44 137 144 18 21 132 232 72 97 116 165 63 4 211 31 49 116 236 153 10 71 171 112 58 199 194 74 184 216 41 23 105 91 92 63 55 196 73 127 211 209 187 11 213 138 67 245 201 244 149 253 39 70 27 207 12 15 76 96 39 19 184 153 36 78 58 89 50 161 99 35 164 44 133 212 74 36 37 150 99 99 39 93 156 116 18 55 147 196 78 38 24 30 152 224 196 104 227 153 229 10 212 123 74 178 109 222 80 207 241 193 245 231 159 149 35 91 218 186 214 33 93 27 21 216 196 65 132 14 99 116 172 48 90 151 178 178 89 204 177 32 164 68 218 22 210 181 177 19 14 86 194 69 88 146 161 255 14 115 124 48 253 201 74 133 233 178 55 163 87 15 245 117 125 48 144 58 123 169 239 10 81 168 112 170 61 18 245 213 84 213 167 169 170 77 83 85 147 194 173 246 112 51 73 220 106 143 170 154 84 105 188 62 77 162 190 26 167 218 35 10 21 131 255 186 194 7 3 169 179 175 30 234 235 122 208 178 92 190 254 147 190 175 189 254 202 83 127 124 110 238 226 206 198 246 6 214 62 222 140 237 85 129 183 152 6 13 198 128 16 148 31 229 228 84 140 25 187 48 202 244 141 91 124 48 190 254 196 59 239 158 124 177 172 168 122 224 139 201 59 239 158 124 237 151 181 222 163 63 248 238 218 55 119 92 30 124 172 101 141 35 50 77 25 188 90 15 219 181 145 150 68 43 77 28 198 228 179 121 252 73 159 209 137 200 156 154 108 24 252 197 123 83 135 252 236 141 203 159 245 102 164 129 34 144 245 179 249 209 183 127 126 234 199 64 205 190 253 93 123 182 110 52 219 215 87 207 62 146 180 149 227 8 37 34 99 153 66 108 69 55 231 221 169 115 215 156 143 143 29 185 240 62 12 206 1 83 64 182 44 71 175 152 166 31 246 245 252 127 3 0 58 21 228 67 84 76 180 191 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

Announcement subclass: #Flash
	instanceVariableNames: 'type message'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!Flash class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/5/2012 06:54'!
message: aString
	^ self new message: aString! !

!Flash class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/5/2012 06:54'!
type: aType message: aString
	^ (self message: aString) type: aType! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:39'!
message
	^ message! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:39'!
message: anObject
	message := anObject! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:57'!
type
	^ type! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:56'!
type: aString
	type := aString! !

Announcement subclass: #RefreshBody
	instanceVariableNames: 'body'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!RefreshBody class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/9/2012 05:52'!
body: aComponent
	^ self new body: aComponent! !

!RefreshBody methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 05:53'!
body
	^ body! !

!RefreshBody methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 05:53'!
body: anObject
	body := anObject! !

Announcement subclass: #RefreshContent
	instanceVariableNames: 'content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!RefreshContent class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/18/2012 13:17'!
content: aContentView
	^ self new content: aContentView! !

!RefreshContent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:16'!
content
	^ content! !

!RefreshContent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:16'!
content: anObject
	content := anObject! !

RRComponent subclass: #MyBlogRSS
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogRSS class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/3/2012 07:54'!
canBeRoot
	^ true! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 08:56'!
renderChannelOn: rss
	rss title: self title.
	rss link: '/' , MyBlogComponent url.
	rss description: MyBlogComponent description.
	rss language englishUnitedStates.
	rss publicationDate: 'Tue, 10 Jun 2003 04:00:00 GMT'.
	rss lastBuildDate: 'Tue, 10 Jun 2003 09:41:01 GMT'.
	rss defaultDocumentation.
	rss generator: 'Weblog Editor 2.0'.
	rss managingEditor: 'admin@myblog.com'.
	rss webMaster: 'webmaster@myblog.com'! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 08:35'!
renderContentOn: rss
	self renderChannelOn: rss.
	self renderPostsOn: rss! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 08:05'!
renderPostItem: aPostItem on: rss
	rss
		item: [ 
			rss title: aPostItem title.
			rss author: aPostItem fullAuthor.
			rss link: '/' , MyBlogComponent url.
			rss description: aPostItem summary.
			rss publicationDate: (RRRfc822DateTime newDateAndTime: aPostItem createdAt).
			rss guid: 'http://liftoff.msfc.nasa.gov/2003/06/03.html#item573' ]! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/6/2012 18:25'!
renderPostsOn: rss
	Post database do: [ :aPostItem | self renderPostItem: aPostItem on: rss ]! !

!MyBlogRSS methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:32'!
title
	^ 'MyBlog'! !

WABatchedList subclass: #MyBlogBatchedList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogBatchedList commentStamp: 'NicolasVanderAuwera 9/18/2012 11:05' prior: 0!
MyBlogBatchedList customizes the class WABatchedList.!

!MyBlogBatchedList methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/28/2012 09:31'!
hasPages
	^ self batchSize < self items size! !

!MyBlogBatchedList methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 09:25'!
options
	^ #(4 8 12)! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 12:19'!
renderContentOn: html
	self renderOptionsOn: html.
	super renderContentOn: html! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 06:39'!
renderNextOn: html
	self isOnLastPage
		ifTrue: [ ^ self ].
	html space.
	html anchor
		callback: [ self nextPage ];
		with: 'Next Page '! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 11:34'!
renderOptionsOn: html
	html div
		class: 'options';
		with: [ 
					self options
						do: [ :option | 
							html anchor
								callback: [ self batchSize: option ];
								with: option ]
						separatedBy: [ html text: ' | ' ] ]! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 12:18'!
renderPagesOn: html
	html
		paragraph: [ 
			html
				strong: self batch size;
				text: ' items of ';
				strong: items size;
				text: ' are displayed.' ]! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 06:39'!
renderPreviousOn: html
	self isOnFirstPage
		ifTrue: [ ^ self ].
	html anchor
		callback: [ self previousPage ];
		with: ' Previous page'.
	html space! !

WAComponent subclass: #AsideBlock
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideBlock class methodsFor: 'configuration' stamp: 'NicolasVanderAuwera 9/24/2012 17:37'!
priority
	^ 0! !

!AsideBlock methodsFor: 'comparing' stamp: 'NicolasVanderAuwera 9/24/2012 17:42'!
<= aAsideBlock
	^ self class priority <= aAsideBlock class priority! !

!AsideBlock methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	self renderTitleOn: html.! !

!AsideBlock methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderTitleOn: html
	html heading
		level3;
		with: self title! !

!AsideBlock methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
title
	^ ''! !

AsideBlock subclass: #AsideLastPostsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideLastPostsView class methodsFor: 'configuration' stamp: 'NicolasVanderAuwera 9/24/2012 17:42'!
priority
	^ 300! !

!AsideLastPostsView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/24/2012 17:50'!
numberOfPosts
	^ 5! !

!AsideLastPostsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	super renderContentOn: html.
	self renderPostsOn: html! !

!AsideLastPostsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:31'!
renderPost: post on: html
	html
		listItem: [ 
			html anchor
				callback: [ self session announcer announce: (RefreshContent content: (PostView model: post)) ];
				with: post title ]! !

!AsideLastPostsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/24/2012 17:50'!
renderPostsOn: html
	html unorderedList: [ (Post last: self numberOfPosts) do: [ :post | self renderPost: post on: html ] ]! !

!AsideLastPostsView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/5/2012 08:02'!
title
	^ 'Last Posts'! !

AsideBlock subclass: #AsideLoginView
	instanceVariableNames: 'email password'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideLoginView commentStamp: 'NicolasVanderAuwera 8/30/2012 20:18' prior: 0!
Display a login form.!

!AsideLoginView class methodsFor: 'configuration' stamp: 'NicolasVanderAuwera 9/24/2012 17:37'!
priority
	^ 100! !

!AsideLoginView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 8/31/2012 17:19'!
login
	| user |
	user := User userWithEmail: email password: password.
	self session login: user.
	user notNil
		ifFalse: [ ^ self ].
	email := nil.
	password := nil! !

!AsideLoginView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/23/2012 16:42'!
register
	self session announcer announce: (RefreshContent content: LoginView new)! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	html div
		class: 'login';
		with: [ 
					super renderContentOn: html.
					self renderWarningOn: html.
					self renderFormOn: html.
					self renderRegisterOn: html ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 08:11'!
renderEmailOn: html
	html
		div: [ 
			html label
				for: html nextId;
				with: 'Email'.
			html textInput
				id: html lastId;
				value: email;
				callback: [ :value | email := value ];
				yourself ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 07:07'!
renderFormOn: html
	html div
		class: 'login-form';
		with: [ 
			html form: [ 
				self
					renderEmailOn: html;
					renderPasswordOn: html;
					renderSubmitOn: html;
					yourself ] ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/30/2012 20:29'!
renderPasswordOn: html
	html
		div: [ 
			html label
				for: html nextId;
				with: 'Password'.
			html passwordInput
				id: html lastId;
				value: password;
				callback: [ :value | password := value ] ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 12:01'!
renderRegisterOn: html
	html
		div: [ 
			html
				paragraph: [ 
					html text: 'Not a member? '.
					html anchor
						callback: [ self register ];
						with: 'Register' ] ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/30/2012 20:30'!
renderSubmitOn: html
	html div
		class: 'action';
		with: [ 
			html submitButton
				callback: [ self login ];
				with: 'Login' ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:13'!
renderWarningOn: html
	self warning isEmpty
		ifFalse: [ 
			html paragraph
				class: 'error';
				with: self warning ]! !

!AsideLoginView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 20:33'!
title
	^ 'Login'! !

!AsideLoginView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/16/2012 17:12'!
warning
	(email isNil or: [ email isEmpty ])
		ifFalse: [ ^ 'Login failed!!' ].
	^ ''! !

AsideBlock subclass: #AsideTopicsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideTopicsView class methodsFor: 'configuration' stamp: 'NicolasVanderAuwera 9/24/2012 17:38'!
priority
	^ 200! !

!AsideTopicsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/24/2012 08:14'!
renderContentOn: html
	super renderContentOn: html.
	self renderTopicsOn: html! !

!AsideTopicsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/24/2012 17:50'!
renderTopic: topic on: html
	html
		listItem: [ 
			html anchor
				callback: [ self session announcer announce: (RefreshContent content: (TopicView topic: topic)) ];
				with: topic , ' ' ]! !

!AsideTopicsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/24/2012 17:43'!
renderTopicsOn: html
	html unorderedList: [ Post categories do: [ :topic | self renderTopic: topic on: html ] ]! !

!AsideTopicsView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:49'!
title
	^ 'Topics'! !

WAComponent subclass: #ContentView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!ContentView commentStamp: 'NicolasVanderAuwera 9/7/2012 07:46' prior: 0!
I am an abstract class.

Instance Variables:
	parent	<ProtoObject>!

ContentView subclass: #AboutView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AboutView commentStamp: 'NicolasVanderAuwera 9/7/2012 07:45' prior: 0!
About page of MyBlog.!

!AboutView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 10:18'!
title
	^ 'About'! !

ContentView subclass: #ContactView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!ContactView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 18:38'!
title
	^ 'Contact'! !

!ContentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
renderContentOn: html
	self renderTitleOn: html! !

!ContentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 10:23'!
renderTitleOn: html
	html heading
		level2;
		with: self title! !

!ContentView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 10:24'!
title
	^ ''! !

!ContentView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:28'!
trailName
	"Used by the breadcrumb"

	^ self title! !

ContentView subclass: #ListView
	instanceVariableNames: 'pagination'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!ListView commentStamp: 'NicolasVanderAuwera 9/2/2012 08:02' prior: 0!
I am an abstract class and I render an unordered list with some data.

Instance Variables:
	parent	<MyBlogComponent>!

!ListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:20'!
pagination
	^ pagination! !

!ListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:23'!
postItemViews
	^ self pagination batch collect: [ :post | PostItemView model: post ]! !

!ListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 11:04'!
renderAddOn: html! !

!ListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 07:59'!
renderContentOn: html
	html div
		class: 'frame';
		with: [ 
					super renderContentOn: html.
					self renderListOn: html.
					self renderAddOn: html ]! !

!ListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 09:31'!
renderListOn: html
	self postItemViews do: [ :postItem | html render: postItem ] separatedBy: [ html horizontalRule ].
	self pagination hasPages
		ifTrue: [ html render: self pagination ]! !

ListView subclass: #PostListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!PostListView commentStamp: 'NicolasVanderAuwera 9/2/2012 08:25' prior: 0!
I render a list of posts with a batched list.

Instance Variables:
	pagination	<WAAlphabeticBatchedList | WABatchedList>!

!PostListView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 06:01'!
addPost
	| postForm post |
	postForm := Post buildComponent.
	(post := self call: postForm) notNil
		ifFalse: [ ^ self ].
	Post add: post to: self session user.
	self session announcer announce: (Flash type: 'info' message: 'Post successfully added.')! !

!PostListView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/18/2012 13:21'!
children
	^ super children , self postItemViews! !

!PostListView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 8/31/2012 12:31'!
editPost: post
	self call: post asComponent addValidatedForm! !

!PostListView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:47'!
initialize
	super initialize.
	pagination := MyBlogBatchedList new items: Post database! !

!PostListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 09:08'!
postString
	| str |
	str := 'post'.
	Post number > 1
		ifTrue: [ ^ str pluralize ].
	^ str! !

!PostListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 12:07'!
renderAddOn: html
	self session isLoggedIn
		ifTrue: [ 
			html anchor
				callback: [ self addPost ];
				with: 'Add a Post' ]! !

!PostListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 12:07'!
renderTitleOn: html! !

!PostListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:30'!
title
	^ 'Home'! !

ListView subclass: #SearchView
	instanceVariableNames: 'list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!SearchView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/18/2012 09:17'!
list: aCollection
	^ self new list: aCollection! !

!SearchView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 09:19'!
initialize
	super initialize.
	list := OrderedCollection new! !

!SearchView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:17'!
list: aCollection
	list := aCollection! !

!SearchView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:46'!
matchString
	| string |
	string := 'match'.
	list size > 1
		ifTrue: [ ^ string pluralize ].
	^ string! !

!SearchView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:20'!
pagination
	^ super pagination ifNil: [ pagination := MyBlogBatchedList new items: list ]! !

!SearchView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:26'!
renderContentOn: html
	self renderTitleOn: html.
	self renderSearchDetailsOn: html.
	self renderListOn: html! !

!SearchView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:48'!
renderSearchDetailsOn: html
	html
		paragraph: [ 
			html
				text: 'Search found ';
				strong: list size greaseString;
				text: ' ';
				text: self matchString ]! !

!SearchView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:24'!
title
	^ 'Search'! !

ContentView subclass: #LoginView
	instanceVariableNames: 'registerForm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!LoginView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/23/2012 16:42'!
initialize
	super initialize.
	registerForm := User buildComponent! !

!LoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:40'!
renderContentOn: html
	super renderContentOn: html.
	html render: registerForm! !

!LoginView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:39'!
title
	^ 'Register'! !

ContentView subclass: #TopicView
	instanceVariableNames: 'topic'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!TopicView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/24/2012 17:47'!
topic: aSymbol
	^ self new topic: aSymbol! !

!TopicView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/24/2012 17:52'!
renderContentOn: html
	super renderContentOn: html.
	self renderPostsOn: html! !

!TopicView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/24/2012 17:54'!
renderPostsOn: html
	html unorderedList: [ (Post postsOfCategory: topic) do: [ :post | html render: (PostItemView model: post) ] ]! !

!TopicView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/24/2012 17:47'!
title
	^ topic capitalized! !

!TopicView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/24/2012 17:47'!
topic: aSymbol
	topic := aSymbol ! !

WAComponent subclass: #EntryView
	instanceVariableNames: 'model'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!EntryView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:51' prior: 0!
I render a data.

Instance Variables:
	model	<Object>!

EntryView subclass: #CommentView
	instanceVariableNames: 'number'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!CommentView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:50' prior: 0!
I render a comment.

Instance Variables:
	number	<Object>!

!CommentView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 8/31/2012 17:19'!
model: aComment number: anInteger
	^ (self model: aComment) number: anInteger! !

!CommentView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:41'!
number: anInteger
	number := anInteger! !

!CommentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 15:39'!
renderContentOn: html
	html div
		class: 'comment';
		with: [ 
					self
						renderTitleOn: html;
						renderTextOn: html;
						renderTimeOn: html ]! !

!CommentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:26'!
renderTimeOn: html
	html paragraph
		class: 'posttime';
		with: [ 
					html
						text: 'posted at ';
						text: model createdAt asTime;
						text: ' on ';
						text: model createdAt asDate;
						text: ' by '.
					html anchor
						callback: [ self setUser ];
						with: model author name ]! !

!CommentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 15:41'!
renderTitleOn: html
	html heading
		level4;
		with: [ 
					html span
						class: 'commentnum';
						with: number greaseString.
					html text: model title ]! !

!CommentView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/16/2012 17:27'!
setUser
	self session announcer announce: (RefreshBody body: (UserView model: model author))! !

!EntryView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 8/31/2012 15:33'!
model: aPost
	^ self new model: aPost! !

!EntryView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:33'!
model: aPost
	model := aPost! !

!EntryView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 17:21'!
renderTextOn: html
	html paragraph: model text! !

!EntryView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 17:20'!
renderTitleOn: html! !

!EntryView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/28/2012 08:27'!
title
	^ model title! !

!EntryView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:33'!
trailName
	"Used by the breadcrumb"

	^ self title! !

EntryView subclass: #PostItemView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 05:59'!
renderAuthorOn: html
	html heading
		level4;
		class: 'byline';
		with: [ 
					html text: 'by     '.
					html anchor
						callback: [ self setUser ];
						with: model creator name ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 09:13'!
renderContentOn: html
	html
		article: [ 
			self renderDetailsOn: html.
			"self renderAuthorOn: html."
			self renderSummaryOn: html.
			self renderTimeOn: html ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 09:13'!
renderDetailsOn: html
	html div
		class: 'hgroup';
		with: [ 
					html paragraph: model category.
					self renderTitleOn: html ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 09:57'!
renderSummaryOn: html
	html paragraph: model summary! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 09:58'!
renderTimeOn: html
	html paragraph
		class: 'posttime';
		with: [ 
					html
						text: ' posted at ';
						strong: model time;
						text: ' on ';
						strong: model date ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 09:13'!
renderTitleOn: html
	html paragraph
		class: 'title';
		with: [ 
					html anchor
						callback: [ self setPost ];
						with: self title ]! !

!PostItemView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 13:19'!
setPost
	self session announcer announce: (RefreshContent content: (PostView model: model))! !

!PostItemView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 13:33'!
setUser
	self session announcer announce: (RefreshContent content: (UserView model: model creator))! !

!PostItemView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/2/2012 10:27'!
title
	^ model title! !

PostItemView subclass: #PostView
	instanceVariableNames: 'commentForm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!PostView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:52' prior: 0!
I render a post.

Instance Variables:
	commentForm	<MAContainerMorph | WAComponent>!

!PostView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 06:01'!
addComment: comment
	comment author: self session user.
	model addComment: comment.
	self session announcer announce: (Flash type: 'info' message: 'Comment successfully added.')! !

!PostView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 8/31/2012 15:36'!
children
	^ self commentViews , (Array with: commentForm)! !

!PostView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:08'!
commentViews
	^ model comments collectWithIndex: [ :comment :index | CommentView model: comment number: index ]! !

!PostView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/7/2012 07:32'!
initialize
	super initialize.
	commentForm := Comment buildComponentWith: {(#save -> 'Save')}.
	commentForm onAnswer: [ :comment | self addComment: comment ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 08:17'!
renderCommentFormOn: html
	self session isLoggedIn
		ifTrue: [ html render: commentForm ]
		ifFalse: [ 
			html paragraph
				class: 'info';
				with: 'To post a comment, you have to be logged.' ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 08:30'!
renderCommentsOn: html
	html div
		class: 'comments';
		with: [ 
					html horizontalRule.
					html div
						class: 'page-header';
						with: [ 
									html heading
										level2;
										with: model numberOfComments greaseString , ' comments' ].
					html unorderedList: [ self commentViews do: [ :commentView | html render: commentView ] ].
					self renderCommentFormOn: html ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/27/2012 10:11'!
renderContentOn: html
	html article
		class: 'post';
		with: [ 
					self renderPostOn: html.
					self renderCommentsOn: html ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/27/2012 16:41'!
renderDetailsOn: html
	html paragraph
		class: 'byline';
		with: [ 
					html
						strong: model category;
						text: ', by ';
						strong: model creator name ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/27/2012 16:45'!
renderPostOn: html
	self renderTitleOn: html.
	html horizontalRule.
	self renderDetailsOn: html.
	html horizontalRule.
	self renderTextOn: html! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/27/2012 10:19'!
renderTitleOn: html
	html heading
		level1;
		with: self title! !

EntryView subclass: #UserView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!UserView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:52' prior: 0!
I render an user.!

UserView subclass: #LoggedView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!LoggedView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 07:10'!
renderContentOn: html
	html div
		class: 'logged';
		with: [ 
					html
						paragraph: [ 
							self renderAvatarOn: html.
							html
								text: 'Logged in as ';
								break;
								strong: model name capitalizedPhrase;
								text: '. '.
							html break.
							html anchor
								callback: [ self session logout ];
								with: 'Logout' ] ]! !

!UserView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/1/2012 07:42'!
edit
	self call: model asComponent addValidatedForm! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 07:09'!
renderAvatarOn: html
	model hasAvatar
		ifTrue: [ html image url: model avatar url ]! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:56'!
renderBiographyOn: html
	model hasBiography
		ifTrue: [ html paragraph: model biography ]! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:41'!
renderContentOn: html
	self renderNameOn: html.
	self renderAvatarOn: html.
	self renderBiographyOn: html.
	self renderPostsOn: html.
	self renderEditOn: html! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:40'!
renderEditOn: html
	model = self session user
		ifTrue: [ 
			html anchor
				callback: [ self edit ];
				with: 'Edit my profile' ]! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:41'!
renderNameOn: html
	html heading
		level1;
		with: model name asCapitalizedPhrase! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:41'!
renderPostsOn: html
	html heading
		level2;
		with: 'Posts By This Authors'.
	model posts do: [ :post |  ]! !

!UserView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:32'!
title
	^ 'Profile'! !

WAComponent subclass: #FooterView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!FooterView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/8/2012 12:05'!
copyright
	^ 'Copyright  2012 -- MyBlog'! !

!FooterView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/8/2012 11:34'!
renderContentOn: html
	html footer: [ self renderCopyrightOn: html ]! !

!FooterView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/8/2012 12:02'!
renderCopyrightOn: html
	html span
		class: 'copyright';
		with: self copyright! !

WAComponent subclass: #HeaderView
	instanceVariableNames: 'menu search'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!HeaderView methodsFor: 'announce' stamp: 'NicolasVanderAuwera 9/9/2012 16:38'!
announce: aComponent
	self session announcer announce: (RefreshBody body: aComponent)! !

!HeaderView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/9/2012 16:45'!
children
	^ Array with: menu with: search! !

!HeaderView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 09:04'!
initialize
	super initialize.
	self setupMenu.
	search := SearchFormView new! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:27'!
renderContentOn: html
	html
		header: [ 
			html div
				class: 'container';
				with: [ 
							self renderLogoOn: html.
							self renderMenuOn: html.
							self renderSearchOn: html ] ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:58'!
renderLogoOn: html
	html div
		class: 'four columns';
		with: [ self renderTitleOn: html ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 17:29'!
renderMenuOn: html
	html div
		class: 'eight columns';
		with: [ html render: menu ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 17:32'!
renderSearchOn: html
	html div
		class: 'search four columns';
		with: [ html render: search ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:59'!
renderTitleOn: html
	html heading
		level1;
		with: [ 
					html anchor
						callback: [ self setHome ];
						with: self title ]! !

!HeaderView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 16:40'!
setHome
	self announce: PostListView new! !

!HeaderView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/9/2012 16:40'!
setupMenu
	menu := MenuView new
		addEntry: 'Home' withAction: [ self setHome ];
		addEntry: 'About' withAction: [ self announce: AboutView new ];
		addEntry: 'Contact' withAction: [ self announce: ContactView new ];
		yourself! !

!HeaderView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 16:42'!
title
	^ 'MyBlog'! !

WAComponent subclass: #MenuView
	instanceVariableNames: 'entries'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MenuView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:51' prior: 0!
I display a link for each entry.

Instance Variables:
	entries	<(Collection of: (CustomHelp class | HelpTopic | KMKeymap | KMSingleKeyShortcut | KeyNotFound | LeafNode | LookupKey | MADictionaryAccessor | OBKeystroke | Pragma | WAAttributeNotFound | WAAttributeSearchContext | WACallback | WAConfigurationElement | WARadioGroup | WARequestCookie | WASession | WeakKeyAssociation))>!

!MenuView methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 12:43'!
addEntry: label withAction: actionBlock
	entries add: label -> actionBlock! !

!MenuView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/8/2012 11:32'!
initialize
	super initialize.
	entries := OrderedCollection new! !

!MenuView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 11:43'!
renderContentOn: html
	html
		navigation: [ 
			html unorderedList
				class: 'menu';
				with: [ entries do: [ :item | self renderItem: item on: html ] ] ]! !

!MenuView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 11:38'!
renderItem: item on: html
	html
		listItem: [ 
			html anchor
				callback: item value;
				with: item key ]! !

WAComponent subclass: #MyBlogComponent
	instanceVariableNames: 'trail content flash type sidebar footer header'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogComponent commentStamp: 'NicolasVanderAuwera 8/30/2012 16:31' prior: 0!
Define the root component of the myBlog application.!

!MyBlogComponent class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/30/2012 16:19'!
canBeRoot
	^ true! !

!MyBlogComponent class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:56'!
description
	^ 'Get up to date.'! !

!MyBlogComponent class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/3/2012 08:53'!
initialize
	super initialize.
	(self registerAsApplication: self url) preferenceAt: #sessionClass put: MyBlogSession.
	(WAAdmin register: RRRssHandler at: self rssUrl) rootComponentClass: MyBlogRSS! !

!MyBlogComponent class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:53'!
rssUrl
	^ 'myblog.rss'! !

!MyBlogComponent class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:53'!
url
	^ 'myblog'! !

!MyBlogComponent methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 13:25'!
callContent: aContentView
	content call: aContentView! !

!MyBlogComponent methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/9/2012 16:40'!
children
	^ Array with: content with: sidebar with: footer with: header! !

!MyBlogComponent methodsFor: 'macpal' stamp: 'NicolasVanderAuwera 9/5/2012 06:42'!
flash
	| msg |
	msg := flash.
	flash := ''.
	^ msg! !

!MyBlogComponent methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
initialize
	super initialize.
	self setHome.
	type := 'info'.
	flash := ''.
	self setupChildren.
	self setupAnnouncer! !

!MyBlogComponent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/24/2012 08:42'!
pagetitle
	"content title isEmpty
		ifTrue: [ ^ self title ]."
	^ self title , ' | ' , content title ! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:54'!
renderContainerOn: html
	html div
		class: 'container';
		with: [ 
					self
						renderSectionOn: html;
						renderSidebarOn: html ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:53'!
renderContentOn: html
	self renderWrapperOn: html.
	self renderFooterOn: html! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 16:42'!
renderFlashOn: html
	flash notEmpty
		ifTrue: [ 
			html paragraph
				class: type;
				with: self flash ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/8/2012 11:18'!
renderFooterOn: html
	html render: footer! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 16:41'!
renderHeaderOn: html
	html render: header! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:54'!
renderPushOn: html
	html div class: 'push'! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 08:04'!
renderSectionOn: html
	html section
		id: 'content';
		class: 'twelve columns';
		with: [ 
					self renderFlashOn: html.
					html render: content ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 19:58'!
renderSidebarOn: html
	html aside
		id: 'sidebar';
		class: 'four columns';
		with: [ html render: sidebar ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 08:52'!
renderSubHeaderOn: html
	html div
		id: 'subheader';
		with: [ html div class: 'container'; with: [ self renderTrailOn: html ] ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:28'!
renderTrailOn: html
	html render: trail! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 08:06'!
renderWrapperOn: html
	html div
		class: 'wrapper';
		with: [ 
					self renderHeaderOn: html.
					self renderSubHeaderOn: html.
					self renderContainerOn: html.
					self renderPushOn: html ]! !

!MyBlogComponent methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 05:54'!
setBody: aComponent
	content := aComponent! !

!MyBlogComponent methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 06:04'!
setHome
	self setBody: PostListView new! !

!MyBlogComponent methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
setupAnnouncer
	self session announcer
		on: RefreshBody
		do: [ :it | self setBody: it body ].
	self session announcer
		on: RefreshContent
		do: [ :it | self callContent: it content ].
	self session announcer
		on: Flash
		do: [ :it | 
			type := it type.
			flash := it message ]! !

!MyBlogComponent methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
setupChildren
	trail := WATrail on: self.
	sidebar := SidebarView new.
	footer := FooterView new.
	header := HeaderView new! !

!MyBlogComponent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 17:43'!
title
	^ 'MyBlog'! !

!MyBlogComponent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:29'!
trailName
	"Used by the breadcrumb"

	^ content title! !

!MyBlogComponent methodsFor: 'updating' stamp: 'NicolasVanderAuwera 9/6/2012 18:28'!
updateRoot: aHtmlRoot
	super updateRoot: aHtmlRoot.
	aHtmlRoot title: self pagetitle.
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #baseCss).
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #layoutCss).
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #skeletonCss).
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #applicationCss).
	aHtmlRoot link
		beRss;
		relationship: 'alternate';
		title: self title;
		url: 'http://localhost:8080/myblog.rss'! !

WAComponent subclass: #SearchFormView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!SearchFormView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:22'!
renderContentOn: html
	html
		form: [ 
			html searchInput
				placeholder: 'Search';
				callback: [ :value | self setSearchResult: value ] ]! !

!SearchFormView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 09:22'!
setSearchResult: aString
	self session announcer announce: (RefreshBody body: (SearchView list: (Post postsWith: aString)))! !

WAComponent subclass: #SidebarView
	instanceVariableNames: 'lastPostsView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!SidebarView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/24/2012 17:40'!
blocks
	^ (AsideBlock allSubclasses collect: [ :block | block new ]) asSortedCollection! !

!SidebarView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/23/2012 17:01'!
children
	^ self blocks! !

!SidebarView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/23/2012 16:47'!
initialize
	super initialize.
	lastPostsView := AsideLastPostsView new! !

!SidebarView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:38'!
loginView
	self session isLoggedIn
		ifTrue: [ ^ LoggedView model: self session user ]
		ifFalse: [ ^ AsideLoginView new ]! !

!SidebarView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/28/2012 08:03'!
renderContentOn: html
	html div
		class: 'frame';
		with: [ self blocks do: [ :block | html render: block ] separatedBy: [ html horizontalRule ] ]! !

!SidebarView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 19:55'!
renderLastPostsOn: html
	html render: lastPostsView! !

!SidebarView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 19:57'!
renderLoginOn: html
	html render: self loginView! !

WASession subclass: #MyBlogSession
	instanceVariableNames: 'user announcer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogSession commentStamp: 'NicolasVanderAuwera 9/2/2012 08:27' prior: 0!
The session of MyBlog.

Instance Variables:
	user	<Object>!

!MyBlogSession methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 06:59'!
announcer
	^ announcer! !

!MyBlogSession methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:56'!
initialize
	super initialize.
	announcer := Announcer new! !

!MyBlogSession methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/31/2012 06:28'!
isLoggedIn
	^ user notNil! !

!MyBlogSession methodsFor: 'action' stamp: 'NicolasVanderAuwera 8/31/2012 07:02'!
login:  aUser
	user := aUser! !

!MyBlogSession methodsFor: 'action' stamp: 'NicolasVanderAuwera 8/31/2012 06:27'!
logout
	user := nil! !

!MyBlogSession methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 07:01'!
user
	^ user! !

Object subclass: #Entry
	instanceVariableNames: 'id createdAt'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

Entry class
	instanceVariableNames: 'id database'!

!Entry commentStamp: 'NicolasVanderAuwera 9/2/2012 09:50' prior: 0!
I am an abstract class and I store a database in class side.

Instance Variables:
	id	<ProtoObject>
	createdAt	<DateAndTime>

Class Instance Variables:
	id	<Number>
	database	<Collection>!

Entry class
	instanceVariableNames: 'id database'!

Entry subclass: #Comment
	instanceVariableNames: 'author text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!Comment commentStamp: 'NicolasVanderAuwera 9/2/2012 09:49' prior: 0!
A comment on a post. All comments are stored in the posts.

Instance Variables:
	author	<ProtoObject>
	text	<ProtoObject>
	title	<ProtoObject>!

!Comment class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/28/2012 08:20'!
descriptionText
	^ MAMemoDescription new
		accessor: #text;
		priority: 200;
		cssClass: 'input-block';
		beRequired;
		yourself! !

!Comment class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:49'!
initialize
	super initialize! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
author
	^ author! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
author: anObject
	author := anObject! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
text
	^ text! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
text: anObject
	text := anObject! !

!Entry class methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 10:22'!
add: aUser
	database add: aUser! !

!Entry class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/7/2012 07:34'!
buildComponent
	^ self
		buildComponentWith:
			{(#save -> 'Save').
			(#cancel -> 'Cancel')}! !

!Entry class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/7/2012 07:52'!
buildComponentWith: aDictionary
	^ self new asComponent addValidatedForm: aDictionary! !

!Entry class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 07:34'!
database
	^ database! !

!Entry class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 8/31/2012 10:23'!
initialize
	super initialize.
	id := 0.
	database := OrderedCollection new! !

!Entry class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 10:21'!
nextId
	^ id := id + 1! !

!Entry class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 09:03'!
number
	^ database size! !

!Entry methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:02'!
createdAt
	^ createdAt! !

!Entry methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 10:24'!
id
	^ id! !

!Entry methodsFor: 'initialize-release' stamp: 'NicolasVanderAuwera 8/31/2012 11:41'!
initialize
	super initialize.
	createdAt := DateAndTime now! !

Entry subclass: #Post
	instanceVariableNames: 'title text creator comments category tags'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!Post commentStamp: 'NicolasVanderAuwera 9/2/2012 09:52' prior: 0!
I am post of the blog. I store all comments belonging to me and I belong to an user.

Instance Variables:
	title	<ProtoObject>
	text	<FileStream | String>
	creator	<Object>
	comments	<Collection>!

!Post class methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 12:15'!
add: aPost to: anUser
	aPost creator: anUser.
	self add: aPost! !

!Post class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:53'!
categories
	^ #('Seaside' 'C++')! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/7/2012 07:37'!
descriptionCategory
	^ MASingleOptionDescription new
		accessor: #category;
		label: 'Category';
		priority: 150;
		options: self categories;
		default: self categories first;
		beSorted;
		beRequired;
		yourself! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/9/2012 19:56'!
descriptionTags
	^ MAToManyRelationDescription new
		classes: (Array with: Tag);
		accessor: #tags;
		label: 'Tags';
		priority: 300;
		yourself! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 14:11'!
descriptionText
	^ MAMemoDescription new
		accessor: #text;
		label: 'Content';
		priority: 200;
		beRequired;
		yourself! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 14:11'!
descriptionTitle
	^ MAStringDescription new
		accessor: #title;
		label: 'Title';
		priority: 100;
		yourself! !

!Post class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/7/2012 08:05'!
initialize
	super initialize! !

!Post class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:39'!
last: aNumber
	[ ^ database last: aNumber ]
		on: Error
		do: [ :err | ^ database ]! !

!Post class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 8/31/2012 12:17'!
postsBelongingTo: anUser
	^ database select: [ :post | post creator = anUser ]! !

!Post class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 9/24/2012 17:53'!
postsOfCategory: aSymbol
	^ database select: [ :post | post category = aSymbol ]! !

!Post class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 9/18/2012 09:00'!
postsWith: aString
	^ database select: [ :post | post includesSubstring: aString ]! !

!Post methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 14:46'!
addComment: aComment
	comments add: aComment! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:24'!
category
	^ category! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:24'!
category: anObject
	category := anObject! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:23'!
comments
	^ comments! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:59'!
creator
	^ creator! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:59'!
creator: anUser
	creator := anUser! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 09:47'!
date
	^ createdAt asDate! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:41'!
fullAuthor
	| writer |
	writer := WriteStream on: String new.
	writer
		nextPutAll: creator email;
		nextPutAll: ' (';
		nextPutAll: creator name capitalizedPhrase;
		nextPutAll: ')'.
	^ writer contents! !

!Post methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/18/2012 09:28'!
includesSubstring: subString
	^ text includesSubstring: subString! !

!Post methodsFor: 'initialize-release' stamp: 'NicolasVanderAuwera 9/4/2012 07:23'!
initialize
	super initialize.
	comments := OrderedCollection new! !

!Post methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/31/2012 12:29'!
isBelongingTo: anUser
	^ creator = anUser! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/27/2012 10:24'!
numberOfComments
	^ comments size! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:01'!
summary
	^ text truncate: self summaryLength! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:17'!
summaryLength
	^ 400! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:53'!
tags
	^ tags! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:53'!
tags: anObject
	tags := anObject! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:58'!
text
	^ text! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:58'!
text: aString
	text := aString! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 09:47'!
time
	^ createdAt asTime! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:58'!
title
	^ title! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:57'!
title: aString
	title := aString! !

Entry subclass: #Tag
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!Tag class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/9/2012 19:48'!
descriptionName
	^ MAStringDescription new
		accessor: #name;
		label: 'Tag';
		priority: 100;
		beRequired;
		yourself! !

!Tag class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/9/2012 19:47'!
initialize
	super initialize! !

!Tag methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:57'!
name
	^ name! !

!Tag methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:57'!
name: anObject
	name := anObject! !

Entry subclass: #User
	instanceVariableNames: 'name email password confirmationPassword biography avatar'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!User commentStamp: 'NicolasVanderAuwera 8/30/2012 16:29' prior: 0!
Define an user of the blog. The password and the confirmation password must match.

Instance Variables:
	email	<ProtoObject>
	password	<ProtoObject>
	confirmationPassword	<ProtoObject>

Class Instance Variables:
	database	<(Collection of: (User | WAHtml5InputTest))>!

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/1/2012 07:28'!
descriptionAvatar
	^ MAFileDescription new
		accessor: #avatar;
		label: 'Avatar';
		addCondition: [ :value | value filesize < self maxFilesize ]
			labelled: 'The size of the image must be less than 10 KB';
		priority: 320;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 17:39'!
descriptionBiography
	^ MAMemoDescription new
		accessor: #biography;
		label: 'Biography';
		priority: 350;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/30/2012 16:40'!
descriptionConfirmationPassword
	^ MAPasswordDescription new
		accessor: #confirmationPassword;
		label: 'Confirmation Password';
		priority: 300;
		beRequired;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/30/2012 16:40'!
descriptionContainer
	^ super descriptionContainer
		addCondition: [ :object | (object readUsing: self descriptionPassword) = (object readUsing: self descriptionConfirmationPassword) ]
			labelled: 'The password and the confirmation password not match';
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/30/2012 20:02'!
descriptionEmail
	^ MAStringDescription new
		accessor: #email;
		label: 'E-mail';
		addCondition: [ :value | (self hasUserWithEmail: value) not ] labelled: 'An user with this email already exists';
		priority: 100;
		beRequired;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 17:27'!
descriptionName
	^ MAStringDescription new
		accessor: #name;
		label: 'Name';
		priority: 50;
		beRequired;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 10:28'!
descriptionPassword
	^ MAPasswordDescription new
		accessor: #password;
		label: 'Password';
		addCondition: [ :value | value trimBoth size >= 8 ] labelled: 'Password length must be greater than 7';
		priority: 200;
		beRequired;
		yourself! !

!User class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/30/2012 19:51'!
hasUserWithEmail: aString
	^ database anySatisfy: [ :user | user email = aString ]! !

!User class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:47'!
initialize
	super initialize! !

!User class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:53'!
maxFilesize
	^ 10000! !

!User class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 8/30/2012 20:39'!
userWithEmail: email password: password
	^ database detect: [ :user | user email = email and: [ user password = password ] ] ifNone: [ nil ]! !

!User class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 8/31/2012 08:34'!
userWithId: anInteger
	^ database detect: [ :user | user id = anInteger ] ifNone: [ nil ]! !

!User methodsFor: 'comparing' stamp: 'NicolasVanderAuwera 9/1/2012 07:43'!
= aUser
	aUser ifNil: [ ^ false ].
	^ email = aUser email! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/1/2012 07:27'!
avatar
	^ avatar! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/1/2012 07:28'!
avatar: anObject
	avatar := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:41'!
biography
	^ biography! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:41'!
biography: anObject
	biography := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
confirmationPassword
	^ confirmationPassword! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
confirmationPassword: anObject
	confirmationPassword := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
email
	^ email! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
email: anObject
	email := anObject! !

!User methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/4/2012 07:08'!
hasAvatar
	^ avatar notNil! !

!User methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/18/2012 10:56'!
hasBiography
	^ biography notNil! !

!User methodsFor: 'comparing' stamp: 'NicolasVanderAuwera 8/31/2012 11:56'!
hash
	^ email hash! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:26'!
name
	^ name! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:26'!
name: anObject
	name := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
password
	^ password! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
password: anObject
	password := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 12:17'!
posts
	^ Post postsBelongingTo: self
	! !
MyBlogLibrary initialize!
Entry initialize!
Tag initialize!
User initialize!
Comment initialize!
MyBlogComponent initialize!
Post initialize!
